<link rel=stylesheet type="text/css" href="{$SZABLON_DIR}/style/menu.css" />

<script type="text/javascript" src="{$SCRIPT_URL}/drag.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/admin/parametry.js"></script>
<script type="text/javascript">
  {$param->wartosci_js}
</script>

<form action="{$ADMIN_URL}" method=POST name="parametr_form" onsubmit="param_form_onsubmit(this);" >
  <input type="hidden" name="form_send" value=1>
  <input type="hidden" name="action" value="{$action}">
  <input type="hidden" name="mode" value="{$mode}">
  <input type="hidden" name="ID" value="{$param->ID}">
  <input type="hidden" name="win" value="{$win}">
  <input type="hidden" name="GRUPA_ID" value="{$param->GRUPA_ID}">

  {assign var="error" value=$param->error}
  {assign var="errors" value=$param->errors}
  {include file="errors.tpl"}

  <div class=rowhead>Formularz parametru</div>
  
  <div class=rowodd>
    <div class=datalabel><label for="PARAM_NAZWA">Nazwa parametru:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('param_nazwa_hint');" class=help></a>

        <input type="text" name="NAZWA" value="{$param->NAZWA}" size=80 maxlength=100 id="PARAM_NAZWA" onblur="param_nazwa_onblur(this);">

        <span id="param_nazwa_hint" style="font-size: 9px; display:none;">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          parametru. Maksymalnie 100 znakw.
        </span>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="PARAM_TYP">Typ:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('param_typ_hint');" class=help></a>

        <select name='TYP' style="width: 200px;" id="PARAM_TYP">
          <option value="">Wybierz</option>
          {html_options options=$typy selected=$param->TYP}
        </select>

        <span id="param_typ_hint" style="font-size: 9px; display:none;"></span>
    </div>
    <div class=rowend></div>
  </div>


  <div class=rowodd>
    <div class=datalabel><label for="PARAM_UKRYJ">Ukryj:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('param_ukryj_hint');" class=help></a>
     
        <input type="checkbox" name="UKRYJ" value=1 id="PARAM_UKRYJ" {if $param->UKRYJ == 1} checked {/if}>
        
        <span id="param_ukryj_hint" style="font-size: 9px; display:none;">
            Znacznik okrelajcy czy dany parametr ma by wywietlany.
        </span>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="PARAM_GRUPA">Grupa:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('param_grupa_hint');" class=help></a>
        <input type="text" class="text" name="GRUPA_NAZWA" value="{$param->GRUPA_NAZWA}">
        
        <select name='GRUPA_ID' style="width: 200px;" id="PARAM_GRUPA" onchange="combo_select(this, 'GRUPA_NAZWA');">
          <option value="">Wybierz</option>
          {html_options options=$grupy selected=$param->GRUPA_ID}
        </select>

        <span id="param_grupa_hint" style="font-size: 9px; display:none;"></span>
    </div>
    <div class=rowend></div>
  </div>

  <div class="rowhead">Zdefiniowane wartoci: </div>

  <div style="height: 300px; overflow: scroll;" id="wartosci_div"></div>

  <div style="height: 25px; text-align:right; margin-top: 3px;" >
    {make_btn napis="Usu"   adres="" onclick="wartosc_delete()" }
    {make_btn napis="Edytuj" adres="" onclick="show_wartosc_form('edit');" }
    {make_btn napis="Dodaj"  adres="" onclick="show_wartosc_form('add');" }
  </div>

  <script type="text/javascript" >
    {$param->wartosc_js}
    wartosci_print();
  </script>
    
    
  <div style="text-align:right; margin-top: 5px;">
    <input type="submit" name="submit_fake" value="Wylij" class="display0">

      {if isset($anuluj_onclick) }
          {make_btn napis=" Anuluj " adres="" onclick="$anuluj_onclick"}
      {else}
          {make_btn napis=" Anuluj " adres="" onclick="opener.focus(); window.close();"}
      {/if}

      {if $param->ID > 0}
        {assign var="ID" value=$param->ID}
        {make_btn napis="Usu" adres="$SELF_URL?action=$ACTION_SYNONIMY&amp;mode=$MODE_DEL&amp;ID=$ID&amp;win=$win"}
      {/if}

      {make_btn napis="Zapisz" adres="" onclick="document.forms['parametr_form'].submit();"}
    <div class=rowend></div>
  </div>
</form>

{******************************************************************************}
<div id="wartosc_form_div" style="position:absolute; width:640px; visibility:hidden; display: none; background:white; border: solid 1px #A0A0A0;" >
  <div class="rowhead drag" onmousedown="beginDrag(this.parentNode, event);">
    <img src="{$SZABLON_DIR}/images/buttons/close_btn.gif" onclick="wartosc_anuluj()" style="float:right; cursor: default; margin: 1px 2px 0px 2px;">
    <img src="{$SZABLON_DIR}/images/buttons/up_arr.gif" onclick="zwin_rozwin2(this, 'wartosc_form_contents_div');" style="float:right; cursor: default; margin: 2px 2px 0px 2px;">
    Nazwa parametru:
  </div>

  <div id="wartosc_form_contents_div">
    <form action="" name="parametr_wartosc_form" method="POST">
      <input type="hidden" name="form_send" value="true">
      <input type="hidden" name="action" value="{$action}">
      <input type="hidden" name="mode" value="{$mode}">
      <input type="hidden" name="ID" value="">
      <input type="hidden" name="win" value="{$win}">
      <input type="hidden" name="ajax" value="{$ajax}">

{******************************************************************************}
      <div class="rowhead">Formularz wartoci parametru</div>


      <div class=rowodd>
        <div class=datalabel><label for="PARAM_WARTOSC">Warto:</label></div>
        <div class=datavalue><input class="text" type="text" id="PARAM_WARTOSC" name="WARTOSC" value="" size=60  maxlength=64></div>
        <div class=rowend></div>
      </div>

{******************************************************************************}

      <div style="height: 30px; text-align: right;">
          {make_btn napis=" Zapisz " adres="" onclick="wartosc_add_edit();"}
          {make_btn napis=" Anuluj " adres="" onclick="wartosc_anuluj();"}
      </div>
    </form>
  </div>
</div>
