//obiekt ktry posuzy do odebrania informacji o kontrahencie
var adminXmlHttpRequest = createXmlHttpRequestObject();

function adminHandleServerResponse(what){

  //debug.pisz('Otrzymaem odpowiedz z serwera: ' + adminXmlHttpRequest.readyState);

  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (adminXmlHttpRequest.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (adminXmlHttpRequest.status == 200){
      try{
        var o_div = document.getElementById(what + '_div');

        if(o_div)
          o_div.innerHTML = adminXmlHttpRequest.responseText;

        hideLoading();
        
        hideTlo();

        return true;
      }
      catch(e){
        // wywietla komunikat o bdzie
        displayError(e.toString());
      }
    }
    else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.responseText);
    }
  }
} //end przygotujDane()



function adminGetConfig(what){
  var o_div = document.getElementById(what + '_div');

  if( !o_div || o_div.innerHTML != ''){
    return false;
  }
     
    
  if(adminXmlHttpRequest)
  {
    try
    {
      /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
      if (adminXmlHttpRequest.readyState == 4 || adminXmlHttpRequest.readyState == 0){
        //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);
        showTlo();
        showLoading();

        adminXmlHttpRequest.open("GET", ADMIN_URL + '?action='+ACTION_CONFIG+'&mode='+ MODE_DISP + '&ajax=1&what=' + what, true);

        adminXmlHttpRequest.onreadystatechange = function(){adminHandleServerResponse(what);}

        adminXmlHttpRequest.send(null);
      }
      // jeli jest zajty...
      else{
        //this.debugDevice.pisz('Serwer jest zajty dla sowa: ' + keyword);
        // czyci poprzednio ustawione czasy
        //if(adminXmlHttpRequest.timeoutId != -1)
        //  clearTimeout(adminXmlHttpRequest.timeoutId);
        // ponawia prb po 0.5 sekundy
        //adminXmlHttpRequest.timeoutId = setTimeout(function(){ getKontrahent(oref, contact_id) }, 500);
      }
    }
    catch(e){
      alert("Nie mog poczy si z serwerem:\n" + e.toString());
    }
  }
}





var o_firmy_www = null;
function update_firmy_www( id ){
    if(!o_firmy_www)
      o_firmy_www = document.getElementById('FIRMY_WWW');

    o_firmy_www.value = id;
}

var o_osoby_www = null;
function update_osoby_www( id ){
    if(!o_osoby_www)
      o_osoby_www = document.getElementById('OSOBY_WWW');

    o_osoby_www.value = id;
}

var o_wyprz = null;
function update_wyprz( id ){
    if(!o_wyprz)
      o_wyprz = document.getElementById('WYPRZ_ID');

    o_wyprz.value = id;
}

var o_promo = null;
function update_promo( id ){
    if(!o_promo)
      o_promo = document.getElementById('PROMO_ID');

    o_promo.value = id;
}

var o_main_grupat_input = null;
function update_main_grupat( id, nazwa ){
    if(!o_main_grupat_input)
      o_main_grupat_input = document.getElementById('MAIN_GRUPAT_ID');

    o_main_grupat_input.value = id;
    o_main_grupat_input.form.elements['MAIN_GRUPAT_NAME'].value = nazwa;
}

var o_main_grupat_row = null;
function main_towary_show_onchange( o_sel ){

    if(!o_main_grupat_row){
        o_main_grupat_row = document.getElementById('main_grupat_row');
    }
    
    if( o_sel.value == 3 ){
        o_main_grupat_row.style.display = 'block';
    }else{
        o_main_grupat_row.style.display = 'none';
    }
}

var o_grupa_ext = null;
function update_grupa_ext( id, nazwa ){
    if(!o_grupa_ext)
      o_grupa_ext = document.getElementById('GM_GRUPAT_EXT_ID');

    o_grupa_ext.value = id;

    o_grupa_ext.form.elements['GM_GRUPAT_EXT_NAME'].value = nazwa;
}


function update_db_conf(sel){
    var f = sel.form;

    if(  sel.selectedIndex ){
        var i = sel.selectedIndex - 1;
        var s = servers[i];

        f.conf_name.value = s.name;
        f.db_host.value = s.db_host;
        f.db_default.checked = s.domyslny;
        f.db_path.value = s.db_path;
        f.db_user.value = s.db_user;
        f.db_pass.value = s.db_pass;
    }else{
        f.conf_name.value = '';
        f.db_host.value = '';
        f.db_default.checked = '';
        f.db_path.value = '';
        f.db_user.value = '';
        f.db_pass.value = '';
    }
}

function error_reporting(f){
    if(f.E_ALL.checked){
        f.E_E_ERROR.checked = true;
        f.E_PARSE.checked = true;
        f.E_WARNING.checked = true;
        f.E_NOTICE.checked = true;
    }else if( !f.E_NOTICE.checked || !f.E_WARNING.checked || !f.E_PARSE.checked || !f.E_E_ERROR.checked){
        f.E_ALL.checked = false;
    }
}
var firms = [];

function update_firm( fid ){

  if( fid  <= 0 ){
      alert('Nieprawidowy identyfikator firmy');
      return false;
  }
  
  if( typeof(firms[fid]) == 'object' ){
      var o_form = document.forms['firma_form'];
      o_form.elements['FIRMA_SHORT_NAME'].value = firms[fid]['short_name'];
      o_form.elements['FIRMA_FULL_NAME'].value = firms[fid]['full_name'];
      o_form.elements['FIRMA_NIP'].value = firms[fid]['nip'];
      o_form.elements['FIRMA_PLACE'].value = firms[fid]['place'];
      o_form.elements['FIRMA_ZIPCODE'].value = firms[fid]['zipcode'];
      o_form.elements['FIRMA_ADDRESS'].value = firms[fid]['address'];
      o_form.elements['FIRMA_TEL'].value = firms[fid]['tel'];
      o_form.elements['FIRMA_EMAIL'].value = firms[fid]['email'];
      
  }else{
      server_connect( adminXmlHttpRequest, ADMIN_URL + '?ajax=1&action=' + ACTION_AJAX + '&mode=get_firm&FIRM_ID=' + fid, function( responseText ){ try{eval(responseText);}catch(e){} } );
  }
}


function check_db_form( oForm ){
    var error = false;

    var db_host = trim( oForm.db_host.value );
    db_host = db_host.toLowerCase();

    if( !error && db_host != '' && db_host != 'localhost' && db_host != '127.0.0.1' ){
      alert('Uwaga w konfiguracji bazy danych podae adres hosta na ktrym znajduje si serwer firebird. Skrypt sprawdzi poczenie z podanym hostem. Moe to chwile potrwa dlatego uzbrj si w cierpliwo i zaczekaj a strona cakowicie si zaaduje.\n\nW skrajnych przypadkach test poczenia moe potrwa do 10 minut.')
    }

    return !error;
}


var o_smtp_params_div = null;
var o_sendmail_params_div = null;
function mail_method_onchange( o_select ){
    if( !o_sendmail_params_div ){
        o_sendmail_params_div = document.getElementById('sendmail_params_div');
    }
    
    if( !o_smtp_params_div ){
        o_smtp_params_div = document.getElementById('smtp_params_div');
    }
    
    hide_obj(o_sendmail_params_div);
    hide_obj(o_smtp_params_div);
    
    if( o_select.value == 'smtp' ){
        show_obj(o_smtp_params_div);
    }else if (o_select.value == 'sendmail'){
        show_obj(o_sendmail_params_div);
    }
    
}

var o_sms_command_div = null;
var o_sms_params_div = null;
var o_sms_clickatell_div = null;
var o_sms_test_debug_div = null;

function sms_modul_onchange( o_select ){
    if( !o_sms_command_div ){
        o_sms_command_div = document.getElementById('sms_command_div');
    }

    if( !o_sms_params_div ){
        o_sms_params_div = document.getElementById('sms_params_div');
    }

    if( !o_sms_clickatell_div ){
        o_sms_clickatell_div = document.getElementById('sms_clickatell_div');
    }
    if( !o_sms_test_debug_div ){
        o_sms_test_debug_div  = document.getElementById('sms_test_debug_div');
    }
    

    

    if( o_select.value == '' ){
        hide_obj(o_sms_command_div);
        hide_obj(o_sms_clickatell_div);
        hide_obj(o_sms_params_div);
        hide_obj(o_sms_test_debug_div);
    }else{
        show_obj(o_sms_test_debug_div);
    
        if( o_select.value == 'modemGSM' ){
            show_obj(o_sms_command_div);
            hide_obj(o_sms_params_div);
            hide_obj(o_sms_clickatell_div);
        }else if( o_select.value == 'clickatell' ){
            hide_obj(o_sms_command_div);
            show_obj(o_sms_clickatell_div);
            show_obj(o_sms_params_div);
        } else {
            hide_obj(o_sms_command_div);
            hide_obj(o_sms_clickatell_div);
            show_obj(o_sms_params_div);
        }
    }
}

function on_off_watermark(o_check){
    if( o_check.checked ){

        o_check.form.watermark.disabled       = false;
        o_check.form.MINI_WATERMARK.disabled  = false;
        o_check.form.SMALL_WATERMARK.disabled = false;
        o_check.form.PROMO_WATERMARK.disabled = false;
/*
        document.getElementById('mini_watermark_row').style.display = '';
        document.getElementById('small_watermark_row').style.display = '';
        document.getElementById('promo_watermark_row').style.display = '';
*/
    }else{
        o_check.form.watermark.disabled       = true;
        o_check.form.MINI_WATERMARK.disabled  = true;
        o_check.form.SMALL_WATERMARK.disabled = true;
        o_check.form.PROMO_WATERMARK.disabled = true;

/*
        document.getElementById('mini_watermark_row').style.display = 'none';
        document.getElementById('small_watermark_row').style.display = 'none';
        document.getElementById('promo_watermark_row').style.display = 'none';
*/
    }
}

var domyslna_il_do_koszyka_old = 0;
function do_koszyka_multi_onclick(o_check){

    if( o_check.checked ){
        domyslna_il_do_koszyka_old = o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value;
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value = 0;
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].disabled = true;
    }else{
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value = domyslna_il_do_koszyka_old;
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].disabled = false;
    }
}

