// JavaScript Document

var alarmy = [];
var alarm_num = -1;

var o_alarm_form_div = null;
var o_alarmy_div     = null;


/******************************************************************************/

function show_alarm_form(action, num ){

    if( action == 'edit' ){
        if( arguments.length == 1 ){
            if( alarm_num  < 0 ){
                alert('Kliknij dwa razy na alarm aby go edytowa lub zaznacz alarm i wcinij przycisk edycja.');
                return;
            }else{
                num = alarm_num;
            }
        }
    }else{
        if(arguments.length < 2 ){
            num = alarmy.length;
        }
    }


    try{
      showTlo();
    }catch(e){

    }

/******************************************************************************/

    var f = document.forms['alarm_form'];

    f.onsubmit = function(){
        alarm_add_edit();
        return false;
    }


    f.elements['num'].value = num;


    if( typeof(alarmy[num]) == 'object' ){
        f.elements['ID'].value = alarmy[num].ID;

        f.elements['TRESC'].value = alarmy[num].TRESC;
        f.elements['ID_PRIOR'].value = alarmy[num].ID_PRIOR;

        f.elements['PRYWATNY'].checked = (alarmy[num].PRYWATNY == 1);
        f.elements['AKTYWNY'].checked = (alarmy[num].AKTYWNY == 1);

        f.elements['DATA_OD'].value = alarmy[num].DATA_OD;
        f.elements['DATA_DO'].value = alarmy[num].DATA_DO;

        if( alarmy[num].AKTYWNY ){
            input_enable(f.elements['DATA_OD']);
            input_enable(f.elements['DATA_DO']);
        }else{
            input_disable(f.elements['DATA_OD']);
            input_disable(f.elements['DATA_DO']);
        }

        f.elements['URUCHOM_EDYCJA'].checked = (alarmy[num].URUCHOM_EDYCJA == 1);
        f.elements['URUCHOM_WYBOR'].checked = (alarmy[num].URUCHOM_WYBOR == 1);

        f.elements['UWAGI'].value = alarmy[num].UWAGI;
    }

    if( !o_alarm_form_div ){
        o_alarm_form_div = document.getElementById('alarm_form_div');
    }

    center_both_obj( o_alarm_form_div )
/******************************************************************************/

}

function alarm_anuluj(){
    var f = document.forms['alarm_form'];

    f.elements['ID'].value = '';
    f.elements['num'].value = '';
    f.elements['TRESC'].value = '';
    f.elements['ID_PRIOR'].selectedIndex = 0;

    f.elements['PRYWATNY'].checked = false;
    f.elements['AKTYWNY'].checked = false;

    f.elements['DATA_OD'].value = '';
    input_disable(f.elements['DATA_OD']);

    f.elements['DATA_DO'].value = '';
    input_disable(f.elements['DATA_DO']);

    f.elements['URUCHOM_EDYCJA'].checked = true;
    f.elements['URUCHOM_WYBOR'].checked = true;

    f.elements['UWAGI'].value = '';

    hide_obj(o_alarm_form_div);

    try{
      hideTlo();
    }catch(e){}
}

function alarm_add_edit( f ){
    if( arguments.length == 0 || !f || !f.name ){
        f = document.forms['alarm_form'];
    }
    var ID = parseInt(f.elements['ID'].value );
    ID = isNaN(ID)?0:ID;

    var num = parseInt(f.elements['num'].value );
    if( isNaN(num) || num < 0 || num > alarmy.length ){
        num = 0;
    }


    var TRESC = trim(f.elements['TRESC'].value);
    if( TRESC == ''){
        alert('Podaj tre alarmu!');
        return false;
    }else if( TRESC.length > 50 ){
        alert('Tre alarmu jest za duga!');
        return false;
    }

    var ID_PRIOR = f.elements['ID_PRIOR'].value ;
    if( !(ID_PRIOR > 0) ){
        alert('Wybierz priorytet alarmu!');
        return false;
    }

    var PRIORYTET = f.elements['ID_PRIOR'].options[f.elements['ID_PRIOR'].options.selectedIndex].text;

    var PRYWATNY = (f.elements['PRYWATNY'].checked)?1:0;
    var AKTYWNY = (f.elements['AKTYWNY'].checked)?1:0;

    var DATA_OD = trim(f.elements['DATA_OD'].value);
    var DATA_DO = trim(f.elements['DATA_DO'].value);
    if( AKTYWNY > 0 ){
        //daty
        var data_reg_expr = /^[0-9]{4}\-[0-9]{2}\-[0-9]{2}$/;
        if( DATA_OD == '' ){
            alert('Brak daty pocztkowej.');
            return false;
        }else if( !data_reg_expr.test( DATA_OD )){
            alert('Nieprawidlowy format daty pocztkowej! Data powinna by wpisana w postaci: RRRR-MM-DD.');
            return false;
        }
        if( DATA_DO != '' ){
            if( !data_reg_expr.test( DATA_DO )){
                alert('Nieprawidlowy format daty kocowej! Data powinna by wpisana w postaci: RRRR-MM-DD.');
                return false;
            }
        }
    }else{
        DATA_OD = '';
        DATA_DO = '';
    }


    var URUCHOM_EDYCJA = (f.elements['URUCHOM_EDYCJA'].checked)?1:0;
    var URUCHOM_WYBOR = (f.elements['URUCHOM_WYBOR'].checked)?1:0;

    var UWAGI = trim(f.elements['UWAGI'].value);

    var IS_PRYWATNY = true;
    if( alarmy[num] && alarmy[num].IS_PRYWATNY ){
        IS_PRYWATNY = alarmy[num].IS_PRYWATNY;
    }

    alarmy[num] = {
        'ID' : ID,
        'TRESC' : TRESC,
        'ID_PRIOR' : ID_PRIOR,
        'PRIORYTET' : PRIORYTET,
        'PRYWATNY' : PRYWATNY,
        'AKTYWNY' : AKTYWNY,
        'DATA_OD' : DATA_OD,
        'DATA_DO'  : DATA_DO,
        'URUCHOM_EDYCJA' : URUCHOM_EDYCJA,
        'URUCHOM_WYBOR'  : URUCHOM_WYBOR,
        'UWAGI' : UWAGI,
        'IS_PRYWATNY' : IS_PRYWATNY,
        'zmieniony' : 1
    };

    alarmy_print();

    alarm_anuluj();
}

function alarmy_print(){
    //if( alarmy.length == 0) return;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="alarmy_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=15>A</th>';
    str += '  <th align=center width=15>P</th>';
    str += '  <th align=center width=150>Tre</th>';
    str += '  <th align=center width=100>Priorytet</th>';
    str += '  <th align=center width=100>Data od</th>';
    str += '  <th align=center width=100>Data do</th>';
    str += '  <th align=center width=15>E</th>';
    str += '  <th align=center width=15>W</th>';
    str += '</tr>';

    for( i= 0; i < alarmy.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); alarm_num = ' + i + '; " ondblclick="show_alarm_form( \'edit\', ' + i + ');" class="wiersz' + ( (i%2) + 1 ) + ((alarm_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=15><div class="check' + alarmy[i]['AKTYWNY'] + '">&nbsp;</div> <input type="hidden" name="alarmy['+i+'][ID]" value="' + alarmy[i]['ID'] + '" > <input type="hidden" name="alarmy['+i+'][zmieniony]" value="' + alarmy[i]['zmieniony'] + '" > <input type="hidden" name="alarmy['+i+'][AKTYWNY]" value="' + alarmy[i]['AKTYWNY'] + '" ></td>';
        str += '    <td align=center width=15><div class="check' + alarmy[i]['PRYWATNY'] + '">&nbsp;</div> <input type="hidden" name="alarmy['+i+'][PRYWATNY]" value="' + alarmy[i]['PRYWATNY'] + '" > </td>';
        str += '    <td width=150>' + alarmy[i]['TRESC'] + ' <input type="hidden" name="alarmy['+i+'][TRESC]" value="' + alarmy[i]['TRESC'] + '" ><input type="hidden" name="alarmy['+i+'][UWAGI]" value="' + alarmy[i]['UWAGI'] + '" ></td>';
        str += '    <td width=100>' + alarmy[i]['PRIORYTET'] + ' <input type="hidden" name="alarmy['+i+'][PRIORYTET]" value="' + alarmy[i]['PRIORYTET'] + '" > <input type="hidden" name="alarmy['+i+'][ID_PRIOR]" value="' + alarmy[i]['ID_PRIOR'] + '" ></td>';
        str += '    <td align=center width=100>' + alarmy[i]['DATA_OD'] + ' <input type="hidden" name="alarmy['+i+'][DATA_OD]" value="' + alarmy[i]['DATA_OD'] + '" ></td>';
        str += '    <td align=center width=100>' + alarmy[i]['DATA_DO'] + ' <input type="hidden" name="alarmy['+i+'][DATA_DO]" value="' + alarmy[i]['DATA_DO'] + '" ></td>';
        str += '    <td align=center width=15><div class="check' + alarmy[i]['URUCHOM_EDYCJA'] + '">&nbsp;</div><input type="hidden" name="alarmy['+i+'][URUCHOM_EDYCJA]" value="' + alarmy[i]['URUCHOM_EDYCJA'] + '" ></td>';
        str += '    <td align=center width=15><div class="check' + alarmy[i]['URUCHOM_WYBOR'] + '">&nbsp;</div><input type="hidden" name="alarmy['+i+'][URUCHOM_WYBOR]" value="' + alarmy[i]['URUCHOM_WYBOR'] + '" ></td>';
        str += '</tr>';
/*
        str += '<tr onclick="podswietl_wiersz(this); alarm_id = '+i + '; " ondblclick="show_alarm_form(' + i + ');" class="wiersz' + ( (i%2) + 1 ) + '">';
        str += '    <td colspan=7 align=left width=15>' + alarmy[i]['UWAGI'] + '</td>';
        str += '</tr>';
*/

    }
    str += '</table>\n';

    if( !o_alarmy_div ){
        o_alarmy_div = document.getElementById('alarmy_div');
    }

    o_alarmy_div.innerHTML = str;

    if( alarm_num >= 0){
        //to do podwietlania
        var rows = o_alarmy_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[alarm_num + 1];
    }
}

function alarm_delete( num ){
    if( arguments.length == 0 ){
        num = alarm_num;
        alarm_num = -1;
        if( num <  0){
            alert('Kliknij najpierw na alarm, a nastepnie wcinij przycisk usu.');
            return;
        }
    }



    alarmy.splice(num,1);

    alarmy_print();
}

/******************************************************************************/

