//JavaScript Document
//tablica
var towarPreviewXmlHttpRequest = createXmlHttpRequestObject();
var towarPreviewTimeoutId = -1;
//object do elemntu div w ktrym ma byc wyswietlona odpowiedz z serwera
var towarPreviewDiv = null;
//jest to id towaru dla ktorego zazadano podgladu
var towarPreviewLastId = -1;
//jest to id towaru dla ktorego zazadano podgladu
var towarPreviewSendId = -1;
//jest to id towaru dla ktorego zazadano podgladu
var towarPreviewDispId = -1;

function towar_preview( towar_id ){
    //jesli id towaru jest rowne temu na ktre wlasnie oczekujemy to nic nie rob
    if ( towarPreviewSendId == towar_id ) return;

    towarPreviewLastId = towar_id;
    
    
    //jesli AJAX dziaa no to bedzie dodawanie bez przeadowania
    if(towarPreviewXmlHttpRequest){
        try
        {
          /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
          if ( towarPreviewXmlHttpRequest.readyState == 4 || towarPreviewXmlHttpRequest.readyState == 0 ){
            //zapamietuje dla jagiego id zostao wysane zadanie
            showTlo();
            showLoading();

            towarPreviewSendId = towar_id;
            
            if (towarPreviewDispId == towar_id){
                showTowarPreview();
            }else{
                towarPreviewXmlHttpRequest.open("GET", MAIN_URL + '/action_towar/mode_show/ajax_1/ID_' + towar_id, true);
                towarPreviewXmlHttpRequest.onreadystatechange = handleTowarPreviewResponse;
                towarPreviewXmlHttpRequest.send(null);
            }
          }
          // jeli jest zajty...
          else
          {
            // ponawia prb po 0.5 sekundy
            if(towarPreviewTimeoutId != -1)
              clearTimeout(towarPreviewTimeoutId);
              //do something
              
            towarPreviewTimeoutId = setTimeout( function(){
                towar_preview(towar_id);
                }, 500);
          }
        }
        catch(e)
        {
          //alert("Nie mog poczy si z serwerem:\n" + e.toString());
          window.location = MAIN_URL + '?action=towar&mode=show&ID=' + towar_id;
        }
    }else{
        //w przciwnym razie zmieniamy adres przegladarki
        window.location = MAIN_URL + '?action=towar&mode=show&ID=' + towar_id ;
    }
}

function handleTowarPreviewResponse(){
  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (towarPreviewXmlHttpRequest.readyState == 4)
  {
    // tylko jeli status dania HTTP jest "OK"
    if ( towarPreviewXmlHttpRequest.status == 200)
    {
      try{
        // przetwarza odpowied serwera
        // pobiera element dokumentu
        if ( !towarPreviewDiv )
          towarPreviewDiv = document.getElementById('towar_preview_div');

        towarPreviewDiv.innerHTML = towarPreviewXmlHttpRequest.responseText;

        //jesli nie wystapilo klikniecie w miedzy czasie na inny towar aby zobaczyc podglad
        //to nie wyswietlaj otrzymanej odpowiedzi z serwera tylko poczekaj na nastepne zadanie
        if( towarPreviewSendId == towarPreviewLastId )
          showTowarPreview();
        
      }
      catch(e)
      {
        // wywietla komunikat o bdzie
        alert(e.toString());
      }
    }else{
        alert("Wystpi problem podczas pobierania danych:\n" + towarPreviewXmlHttpRequest.statusText);
    }
  }

}


function showTowarPreview(){
    towarPreviewDispId = towarPreviewSendId;

    towarPreviewSendId = -1;
    
    hideLoading();

    tloRegFunction( 'onclick', hideTowarPreview );
    
    if( !towarPreviewDiv) towarPreviewDiv = document.getElementById('towar_preview_div');


    center_both_obj(towarPreviewDiv);

}


function hideTowarPreview(){
    hideTlo();
    
    if( !towarPreviewDiv) towarPreviewDiv = document.getElementById('towar_preview_div');

    towarPreviewDiv.style.visibility = 'hidden';
    towarPreviewDiv.style.display = 'none';
    towarPreviewDiv.style.top = 0;
    towarPreviewDiv.style.left = 0;
}
