// JavaScript Document
//var o_param_ajax = createXmlHttpRequestObject();
var wartosci = [];
var wartosc_num = -1;

var o_wartosc_form_div = null;
var o_wartosci_div     = null;

/******************************************************************************/

function param_typ_onchange( o_select ){
    if( o_select.value == '1' ){
        if( wartosc.length > 0 ){
            if( confirm('Jeste pewien e checesz zmieni typ parametru na wartosc Tak/Nie? Spowoduje to usunicie wszystkich zdefiniowanych wartoci dla tego parametru.') ){

            }else{
                o_select.selectedIndex = 0;
            }
        }
    }
}

/******************************************************************************/

function show_wartosc_form( action, num, show_to_all ){
    var f = document.forms['parametr_wartosc_form'];
    
    if(  document.forms['parametr_form'].TYP == 1 ){
        alert('Nie mona dodawa wartoci dla pola TAK/NIE.');
        return;
    }
    
    if( action == 'edit' ){
        if( arguments.length == 1 ){
            if( wartosc_num  < 0 ){
                alert('Kliknij dwa razy na wartosc aby go edytowa lub kliknij raz na wartosc, a nastpnie wcinij przycisk edycja.');
                return;
            }else{
                num = wartosc_num;
            }
        }
    }else{
        if(arguments.length < 2 ){
            num = wartosci.length;
        }
    }
    
    try{
        showTlo();
    }catch(e){

    }

/******************************************************************************/


    f.onsubmit = function(){
        wartosc_add_edit();
        return false;
    }

    wartosc_num = num;
    
    if( typeof(wartosci[num]) == 'object' ){
        f.elements['ID'].value = wartosci[num].ID;
        
        for( var a in wartosci[num].lang ){
            f.elements['WARTOSCI['+a+']'].value = wartosci[num].lang[a];
        }

        if( param_wart_lang_id_last > 0 ){
            if( wartosci[num].lang[param_wart_lang_id_last] ){
                f.elements['WARTOSC'].value = wartosci[num].lang[param_wart_lang_id_last];
            }else{
                param_wartosc_switch_lang( document.getElementById( 'param_wart_lang' + LANG_PL), LANG_PL);
            }
        }else{
            f.elements['WARTOSC'].value = wartosci[num]['lang'][LANG_PL];
        }
    }

    if( !o_wartosc_form_div ){
        o_wartosc_form_div = document.getElementById('wartosc_form_div');
    }

    center_both_obj( o_wartosc_form_div );

    f.elements['WARTOSC'].focus();
/******************************************************************************/

}

function wartosc_anuluj(){
    var f = document.forms['parametr_wartosc_form'];

    f.elements['ID'].value = '';
    f.elements['WARTOSC'].value = '';

    for( var j in jezyki ){
        f.elements['WARTOSCI['+j+']'].value = '';
    }


    hide_obj(o_wartosc_form_div );
    
    try{
      hideTlo();
    }catch(e){}
}

function wartosc_add_edit( f ){
    if( arguments.length == 0 || !f || !f.name ){
        f = document.forms['parametr_wartosc_form'];
    }
    var ID = parseInt(f.elements['ID'].value );
    ID = isNaN(ID)?0:ID;

    //ustawiane podczas edycji i dodawania wartosci
    var num = wartosc_num;

    
    var wartosc = trim(f.elements['WARTOSC'].value);

    if( param_wart_lang_id_last > 0 ){
        f.elements['WARTOSCI[' + param_wart_lang_id_last + ']'].value = wartosc;
    }
    
    var lang = new Object();

    for( var i in jezyki ){
        wartosc = trim(f.elements['WARTOSCI[' + i + ']'].value)
        
        if( wartosc == '' ){
            if( i != LANG_PL ){
              /*
                if( confirm('Dla jzyka: ' + jezyki[i] + ' nie zostaa podana warto parametru. Czy chcesz skopiowa warto parametru z jzyka polskiego?') ){
                    wartosc = lang[LANG_PL];
                }else{
                    return false;
                }
              */
            }else{
                alert('Nie okreslie wartoci parametru dla jzyka polskiego!');
                return false;
            }
        }
        lang[i] = wartosc;
    }
    
    var index = in_wartosci( lang[LANG_PL] );
    if( index && index != num ){
        if( !confirm('Podana przez ciebie warto: ' + lang[LANG_PL] + ' jest ju zdefiniowana dla tego parametru! Czy chcesz j pomimo tego doda?') ){
            return false;
        }
    }
    
    wartosci[num] = {
        'ID'   : ID,
        'lang' : lang,
        'zmieniony'   : 1
    };

    //do przerobienia
    wartosci_print();

    wartosc_anuluj();
}

function wartosci_print(){
    //if( wartosci.length == 0) return;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="wartosci_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=100>#</th>';
    str += '  <th align=center >Warto [pl]</th>';
    str += '</tr>';

    var img = '';

    for( i= 0; i < wartosci.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); wartosc_num = ' + i + '; " ondblclick="show_wartosc_form( \'edit\', ' + i + ');" class="wiersz' + ( (i%2) + 1 ) + ((wartosc_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=100>' +( i + 1 )+ '. <input type="hidden" name="wartosci['+i+'][zmieniony]" value="' + wartosci[i]['zmieniony'] + '" ></td>';
        str += '    <td >' + wartosci[i].lang[LANG_PL];
        
        for( var a in wartosci[i].lang ){
              str += ' <input type="hidden" name="wartosci['+i+'][lang]['+a+']" value="' + wartosci[i]['lang'][a] + '" >';
        }
        
        str += '<input type="hidden" name="wartosci['+i+'][ID]" value="' + wartosci[i]['ID'] + '" ></td></tr>';
    }
    str += '</table>\n';

    if( !o_wartosci_div ){
        o_wartosci_div = document.getElementById('wartosci_div');
    }

    o_wartosci_div.innerHTML = str;

    if( wartosc_num >= 0){
        //to do podwietlania
        var rows = o_wartosci_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[wartosc_num + 1];
    }
}

function wartosc_delete( num ){
    if( arguments.length == 0 ){
        num = wartosc_num;
        wartosc_num = -1;
        if( num <  0){
            alert('Kliknij najpierw na warto, a nastpnie wcinij przycisk usu.');
            return;
        }
    }
    var o_input = null;
    if( wartosci[num] && wartosci[num]['ID'] > 0  ){
        o_input  = document.createElement('input');
        o_input.type  = 'hidden';
        o_input.name  = 'wartosci2delete[]';
        o_input.value = wartosci[num]['ID'];
        
        document.forms['parametr_wartosc_form'].appendChild(o_input);
    }
    
    wartosci.splice(num, 1);

/*
    //do uzycia nodeName lub tagName
    var o_table = document.getElementById('wartosci_tab_grid');
    var rows = o_table.getElementsByTagName('TR');
    
    var o_tr = rows.item(num+1);
    o_tr.parentNode.removeChild(o_tr);
*/
    wartosci_print();
}


function in_wartosci( str ){
    str = str.toLowerCase();
    for( i = 0; i < wartosci.length; i++ ){
        if( wartosci[i].lang[LANG_PL].toLowerCase() == str ){
            return i;
        }
    }

    return false;
}

function param_form_onsubmit(o_form){

    return true;
}
