var ceny = new Object();
var cennik_ajax = createXmlHttpRequestObject();

var o_cennik_cena_form_div = null;
var o_cennik_cena_form_opcje = null;
var o_cennik_cena_form_cennik_div = null;
var o_cennik_cena_form_dolacz_towary_div = null;
var b_cenniki = false;

function show_cena_form( disp_cennik ){

    showTlo();

    if( !o_cennik_cena_form_div ) o_cennik_cena_form_div = document.getElementById('cennik_cena_form_div');

    center_both_obj(o_cennik_cena_form_div);
    
    var f = document.forms['cennik_cena_form'];
    
    f.dolacz_towary.checked = false;
    
    if( !o_cennik_cena_form_opcje ){
        o_cennik_cena_form_opcje = document.getElementById('cennik_cena_form_opcje_div');
    }
    
    if( !o_cennik_cena_form_cennik_div ){
        o_cennik_cena_form_cennik_div = document.getElementById('cennik_cena_form_cennik_div');
    }
    
    if( !o_cennik_cena_form_dolacz_towary_div ){
        o_cennik_cena_form_dolacz_towary_div = document.getElementById('cennik_cena_form_dolacz_towary_div');
    }
    
    
    if( disp_cennik ){
        if( !b_cenniki )
            server_connect( cennik_ajax, SELF_URL + '?action='+ACTION_CENNIKI+'&mode='+MODE_AJAX, cenniki_response );
        o_cennik_cena_form_cennik_div.style.display = 'block';
        
        o_cennik_cena_form_dolacz_towary_div.style.display = 'none';

        o_cennik_cena_form_opcje.style.display = 'block';
        
        f.elements['dolacz_towary'].checked = true;
    }else{
        o_cennik_cena_form_dolacz_towary_div.style.display = 'block';
        o_cennik_cena_form_cennik_div.style.display = 'none';
        o_cennik_cena_form_opcje.style.display = 'none';
    }
}


function anuluj_cena_form(){

    var f = document.forms['cennik_cena_form'];

    hide_obj(o_cennik_cena_form_div);

    hideTlo();
}

function cennik_cena_form_cena_onchange( o_select ){
    var cena_id = parseInt(o_select.value);

    if( cena_id > 0 ){
        if( ceny[cena_id] ){
            cena_update(ceny[cena_id]);
        }else{
            server_connect( cennik_ajax, ADMIN_URL + '?action=' + ACTION_AJAX + '&mode=get_cena&cena_id=' + cena_id, cena_info_handle_response );
            //debug.pisz( ADMIN_URL + '?action=' + ACTION_AJAX + '&mode=get_cena&cena_id=' + cena_id );
        }
    }else{
        alert('Wybierz cen!');
    }
}


function cennik_wylicz_onchange( o_select ){
    var opt = parseInt(o_select.value);

    if( opt == 7 ){
        o_select.form.innacena.disabled = false;
    }else{
        o_select.form.innacena.disabled = true;
    }
}



function cena_info_handle_response( xmlRoot ){
    var key, value, j;
    var o_cena_xml = xmlRoot.getElementsByTagName('cena').item(0);
    var o_cena = new Object();
    
    var atrybuty = ['ID', 'NAZWA', 'ODCENY', 'INNACENA', 'NARZUT', 'KWOTA', 'DODAJ_DO_CENNIKA', 'WALUTA', 'UWAGI', 'TYP', 'NARZUT_CZY_MARZA', 'MARZA'];
    
    for( j = 0; j < atrybuty.length; j++){
        key = atrybuty[j];
        value = o_cena_xml.getAttribute( key );
        o_cena[key] = value;
    }
    ceny[o_cena['ID']] = o_cena;

    //pokazuje wszytkie alarmy o ile jakies zostay mnie zwrcone
    cena_update( o_cena );
}



function cena_update( o_cena ){
  	var f = document.forms['cennik_cena_form'];

    if( !f ){
        for( var i = 0; i < document.forms.length; i++ ){
            f = document.forms.item(i);
            if( f.elements['marza'] && f.elements['narzut'] && f.elements['kwota_narzutu'] ){
                break;
            }
        }
        
        if(!f){
            alert('Nie znaleziono formularza' );
            return;
        }
    }
  	

    f.marza.value = o_cena['MARZA'];
    f.narzut.value = o_cena['NARZUT'];
    f.kwota_narzutu.value = o_cena['KWOTA'];

    if(o_cena['TYP'] == 1){
        f.sposob_liczenia.value = 'od brutto';
    }else{
        f.sposob_liczenia.value = 'od netto';
    }

    if( o_cena['NARZUT_CZY_MARZA'] == 1 ){
        //marza
        f.dolicz.selectedIndex = 0;
    }else{
        //narzut
        f.dolicz.selectedIndex = 1;
    }
}

function cena_onchange(o_select){
    if( confirm('Zmienie cen, czy chcesz teraz odwiey stron aby wywietli towary powizane z ta cen?') ){
        o_select.form.submit();
    }
}


function cena_ondelete(){
    //document.forms[]
    if( confirm('Zamierzasz usun cen z cennika. Spowoduje to usunicie zarwno ceny jak i towarw przypisanych do tej ceny. Jeste pewien, e chcesz kontynuowa?') ){

        window.location = ADMIN_URL + '?action=' + ACTION_CENNIKI + '&mode='+MODE_DEL + '&cena=1&cena_id=' + document.forms['cennik_search_form'].cena_id.value;
    }
    
}


function dolacz_towary_onclick(o_check){
    if( o_check.checked ){
        o_check.form.cena_from.disabled = false;
        o_cennik_cena_form_opcje.style.display = 'block';
    }else{
        o_check.form.cena_from.disabled = true;
        o_cennik_cena_form_opcje.style.display = 'none';
    }
}


/******************************************************************************/
function cennik_cena_form_send( f ){
    if( arguments.length == 0 ){
        f = document.forms['cennik_cena_form'];
    }
    
    //f.submit();
    //return true;
    
    if( cennik_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (cennik_ajax.readyState == 4 || cennik_ajax.readyState == 0){
              //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);
              anuluj_cena_form();
              
              showTlo();

              showLoading();

              if( send_form( cennik_ajax, f, cennik_cena_form_response ) ){
                  progress_done = false;

                  timeoutId = setTimeout( get_progress, 500 );
              }
            }else{
                // jeli jest zajty...
                alert('Uwaga jeszcze trwa import!');
            }
        }catch(e){
            alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function cennik_cena_form_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (cennik_ajax.readyState == 4){
        // tylko jeli status dania HTTP jest "OK"
        if (cennik_ajax.status == 200){
            try{
                progress_done = true;

                //na wszelki wypadek ostatnie pobranie danych z serwera
                timeoutId = setTimeout( get_progress, 500 );

                
                if( cennik_ajax.responseText.substr(0, 2) == 'OK' )
                    alert('Import zosta zakoczony pomylnie.');
                else{
                    alert('Wystapiy bdy!');
                    //debug.pisz(cennik_ajax.responseText);
                }

                o_progress_bar.innerHTML = '';
                o_summary_div.innerHTML = '';
                hideLoading();
                hideTlo();
                return true;
            }catch(e){
                displayError(e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + cennik_ajax.responseText);
        }
    }
}

function cenniki_response( o_xml ){
    var o_form = document.forms['cennik_cena_form'];
    
    var cenniki = new Object();

    var cennik_id, cennik_nazwa, o_cennik_xml ;
    var o_cenniki_xml = o_xml.getElementsByTagName('cennik');
    var j;
    
    for( j = 0; j < o_cenniki_xml.length; j++){
        o_cennik_xml = o_cenniki_xml[j];
        
        cennik_id = o_cennik_xml.getAttribute( 'ID' );
        cennik_nazwa = o_cennik_xml.getAttribute( 'NAZWA_CENNIKA' );
        
        cenniki[cennik_id] = cennik_nazwa;
    }
    
    make_select(o_form.elements['cennik_id'], cenniki );
    o_form.elements['cennik_id'].disabled = false;
    
    b_cenniki = true;
}


var cenniki_ceny = new Object();
function cennik_cena_form_cennik_onchange( o_sel ){
    var o_form = o_sel.form;
    
    if( o_sel.value > 0 ){
        if( cenniki_ceny[o_sel.value] != null ){
            make_select(o_form.elements['cena_from'],  cenniki_ceny[o_sel.value] );
        }else{
            server_connect( cennik_ajax, SELF_URL + '?action='+ACTION_CENNIKI+'&mode='+MODE_AJAX+'&cennik_id='+o_sel.value+'&ceny=1', cennik_ceny_response );
        }
    }else{
        o_form.elements['cena_from'].selectedIndex = 0;
        o_form.elements['cena_from'].disabled = true;
    }
}

function cennik_ceny_response( o_xml ){
    var o_form = document.forms['cennik_cena_form'];
    
    var o_cennik_ceny = o_xml.getElementsByTagName('cennik_ceny').item(0);

    var cennik_id = o_cennik_ceny.getAttribute( 'cennik_id' );

    var ceny = new Object();

    var cena_id, cena_nazwa, o_cena_xml ;
    var o_ceny_xml = o_xml.getElementsByTagName('cena');
    var j;
    
    for( j = 0; j < o_ceny_xml.length; j++){
        o_cena_xml = o_ceny_xml[j];

        cena_id = o_cena_xml.getAttribute( 'id' );
        cena_nazwa = o_cena_xml.getAttribute( 'nazwa' );

        ceny[cena_id] = cena_nazwa;
    }

    cenniki_ceny[cennik_id] = ceny;

    make_select(o_form.elements['cena_from'], ceny);
    
    if(o_form.elements['cena_from'].disabled)
        o_form.elements['cena_from'].disabled = false;
}


