// JavaScript Document
var towary_ajax = createXmlHttpRequestObject();
var towary_skip_ajax = createXmlHttpRequestObject();

function checkbox_towar_skip_onclick(o_check){

    server_connect( towary_skip_ajax, SELF_URL + '?action=' + action + '&mode=' + MODE_AJAX + '&what=skip&skip=' + ((o_check.checked)?'1':'0') + '&towar_id=' + o_check.value , towar_skip_response );
    
}

function towar_skip_response( txt ){

    if( txt != 'OK' ){
        alert('Wystapi problem\n' + txt);
    }

}

/******************************************************************************/
function towary_zalaczniki_form_send( f ){
    if( arguments.length == 0 ){
        f = document.forms['towary_zalaczniki_form'];
        if( !f ){
            alert('Nie znaleziono formularza o nzawie: towary_zalaczniki_form');
            return false;
        }
    }
    
    if( f.towary_show.checked ){
        f.submit();
        return;
    }
    

    //f.submit();
    //return true;

    if( towary_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (towary_ajax.readyState == 4 || towary_ajax.readyState == 0){
              //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);

              showTlo();

              showLoading();

              if( send_form( towary_ajax, f, towary_zalaczniki_form_response ) ){
                  progress_done = false;

                  timeoutId = setTimeout( get_progress, 500 );
              }
            }else{
                // jeli jest zajty...
                alert('Uwaga jeszcze trwa import!');
            }
        }catch(e){
          alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function towary_zalaczniki_form_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (towary_ajax.readyState == 4){
        // tylko jeli status dania HTTP jest "OK"
        if (towary_ajax.status == 200){
            try{
                progress_done = true;

                //na wszelki wypadek ostatnie pobranie danych z serwera
                timeoutId = setTimeout( get_progress, 500 );

                if( towary_ajax.responseText == 'OK' )
                    alert('Import zosta zakoczony pomylnie.');
                else{
                    var err_msg = xml_get_errors( towary_ajax );
                    if( err_msg ){
                        alert('Wystapiy bdy!' +  err_msg );
                    }else{
                        alert('Wystapiy bdy!' +  towary_ajax.responseText );
                    }
                    //debug.pisz(towary_ajax.responseText);
                }

                o_progress_bar.innerHTML = '';
                o_summary_div.innerHTML = '';
                hideLoading();
                hideTlo();
                return true;
            }catch(e){
                displayError(e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + towary_ajax.responseText);
        }
    }
}

/******************************************************************************/
function towary_keywords_form_send( f ){

    if( arguments.length == 0 ){
        f = document.forms['towary_keywords_form'];
        if( !f ){
            alert('Nie znaleziono formularza o nazwie: towary_keywords_form');
            return false;
        }
    }

    if( f.towary_show.checked ){
        f.submit();
        return;
    }else{
        if( !confirm('Jeste pewien e chcesz przypisa sowa kluczowe, doda opis lub zdjcie dla towarw?') ){
            return false;
        }
    }

    if( f.zdjecie.value != '' ){
        f.submit();
        return;
    }
    
    //f.submit();
    //return true;

    if( towary_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (towary_ajax.readyState == 4 || towary_ajax.readyState == 0){
              //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);

              showTlo();

              showLoading();

              if( send_form( towary_ajax, f, towary_zalaczniki_form_response ) ){
                  progress_done = false;

                  timeoutId = setTimeout( get_progress, 500 );
              }
            }else{
                // jeli jest zajty...
                alert('Uwaga jeszcze trwa wykonywanie si skryptu!');
            }
        }catch(e){
          alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function towary_keywords_form_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (towary_ajax.readyState == 4){
        // tylko jeli status dania HTTP jest "OK"
        if (towary_ajax.status == 200){
            try{
                progress_done = true;

                //na wszelki wypadek ostatnie pobranie danych z serwera
                timeoutId = setTimeout( get_progress, 500 );

                if( towary_ajax.responseText == 'OK' )
                    alert('Sowa kluczowe zostay przypisane zosta zakoczony pomylnie.');
                else{
                    var err_msg = xml_get_errors( towary_ajax );
                    if( err_msg ){
                        alert('Wystapiy bdy!' +  err_msg );
                    }else{
                        alert('Wystapiy bdy!' +  towary_ajax.responseText );
                    }
                    //debug.pisz(towary_ajax.responseText);
                }

                o_progress_bar.innerHTML = '';
                o_summary_div.innerHTML = '';
                hideLoading();
                hideTlo();
                return true;
            }catch(e){
                displayError(e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + towary_ajax.responseText);
        }
    }
}



/******************************************************************************/
function towary_get_keywords( f ){

    if( arguments.length == 0 ){
        f = document.forms['towary_keywords_form'];
        if( !f ){
            alert('Nie znaleziono formularza o nazwie: towary_keywords_form');
            return false;
        }
    }


    if( towary_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (towary_ajax.readyState == 4 || towary_ajax.readyState == 0){

                //send_form( towary_ajax, f, towary_get_keywords_response );

                data = 'action=' + ACTION_AJAX + '&mode=keywords&opis=' + document.forms['towary_keywords_form'].elements['opis'].value;

                towary_ajax.onreadystatechange = towary_get_keywords_response;
                
                towary_ajax.open('POST', ADMIN_URL, true);

          			try{
                    towary_ajax.setRequestHeader("Method", "POST " + ADMIN_URL + " HTTP/1.1");
                    towary_ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
          			}catch(e){
                    displayError("Your browser does not appear to  support asynchronous requests using POST.");
                    return false;
          			}

                towary_ajax.send( data );


            }else{
                // jeli jest zajty...
                alert('Uwaga jeszcze trwa wykonywanie si skryptu!');
            }
        }catch(e){
          alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function towary_get_keywords_response(){
    var slowa_str = new String();
    
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (towary_ajax.readyState == 4){
        // tylko jeli status dania HTTP jest "OK"
        if (towary_ajax.status == 200){
            try{
                if( towary_ajax.responseXML && towary_ajax.responseXML.documentElement && typeof (towary_ajax.responseXML.documentElement.getElementsByTagName) == 'function' ){

                    var lista_slow = towary_ajax.responseXML.documentElement.getElementsByTagName('slowo');

                    if( lista_slow.length > 0 ){
                        
                        // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
                        for(i = 0; i < lista_slow.length; i++){
                            if( lista_slow.item(i).firstChild)
                                slowa_str += lista_slow.item(i).firstChild.data + ', ';
                        }
                    }
                }else{
                    //slowa_str = 'Bdna odpowied serwera!';
                }
                
                if( slowa_str == '' ){
                    alert( 'Nie znaleziono sw kluczowych!');
                }else{
                    slowa_str = slowa_str.substr(0, slowa_str.length - 2);
                    document.forms['towary_keywords_form'].elements['keywords'].value = slowa_str;
                }
                
                
                return true;
            }catch(e){
                displayError(e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + towary_ajax.responseText);
        }
    }
}

