// JavaScript Document
var dostawy = new Object();
var stany_magazynu = new Object();

//czy dostawy maja byc pokazywane
var dostawy_pokaz = 1;

//identyfikator towaru dla ktrego s pobierane dostawy
var dostawy_towar_id = 0;

o_dostawy_xml_http = createXmlHttpRequestObject();


function get_dostawy( towar_id ){
    if( typeof(dostawy[towar_id]) == 'object' ){
        dostawy_print( dostawy[towar_id], stany_magazynu[towar_id] );
    }else{
        overlib('Czekaj trwa pobieranie danych!<br><center><img src=' + SZABLON_URL + '/images/loading.gif></center>');

        dostawy_towar_id = towar_id;
        
        server_connect(o_dostawy_xml_http, SUGGEST_URL + '?action=t&id='+towar_id+'&dostawy=1', dostawy_handle_response );
    }
}


function dostawy_print( a_dostawy, stan_magazynu ){
    //if( zalaczniki.length == 0) return;
    var i = 0;
    
    if( a_dostawy.length > 0 ){
        dostawy_info = '';
        dostawy_info += '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="zalaczniki_tab_grid">';
        dostawy_info += '<tr>';
        dostawy_info += '  <th align=center width=100>Magzyn</th>';
        dostawy_info += '  <th align=center >Numer Dokumentu</th>';
        dostawy_info += '  <th align=center >Cena</th>';
        dostawy_info += '  <th align=center >Dostpno</th>';
        dostawy_info += '</tr>';



        for( i = 0; i < a_dostawy.length; i++ ){
            dostawy_info += '<tr class="wiersz' + ( (i%2) + 1 ) + '">';
            dostawy_info += '    <td align=center width=100>' + a_dostawy[i]['MAGAZYN_NUMER'] +  '</td>';
            dostawy_info += '    <td align=center width=100>' + a_dostawy[i]['NUMER_DOKUMENTU'] +  '</td>';
            dostawy_info += '    <td align=center width=100>' + currency_format( a_dostawy[i]['CENA_ZAKUPU'] )+  '</td>';
            dostawy_info += '    <td align=center width=100>' + parseFloat(a_dostawy[i]['ILOSC_DOSTEPNA'])  + '/' + parseFloat(a_dostawy[i]['ILOSC']) +  '</td>';
            dostawy_info += '</tr>';
        }

        dostawy_info += '<tr class="wiersz' + ( (i%2) + 1 ) + '">';
        dostawy_info += '    <td colspan=3 align=right> W sumie: </td>';
        dostawy_info += '    <td align=center>' +  parseFloat(stan_magazynu.ILOSC) + '/' + parseFloat(stan_magazynu.ILOSC_MAG) +  '</td>';
        dostawy_info += '</tr>';
            
        dostawy_info += '</table>\n';
    }else{
        dostawy_info = 'Brak dostaw do wywietlenia!';
    }

    if( dostawy_pokaz ){
        overlib( dostawy_info );
    }
}


function dostawy_handle_response( xmlRoot ){

    var o_towar_xml = xmlRoot.getElementsByTagName('towar').item(0);
    var o_dostawy_xml = xmlRoot.getElementsByTagName('dostawa');
    var o_dostawa_xml = null;
    var o_dostawa = new Object();

    var o_errors_xml = xmlRoot.getElementsByTagName('error');

    if( o_errors_xml && o_errors_xml.length > 0 ){
    
        var errors = [];
        
        var err_str = 'Wystpiy nastpujce bdy: ';
        
        // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
        for(var i = 0; i < o_errors_xml.length; i++){
            errors[i] = o_errors_xml.item(i).getAttribute('str');
            err_str += errors[i] + "\n";
        }

        alert( err_str );
        return;

    }else{
        //zeruje dostawy
        towar_id = parseInt(o_towar_xml.getAttribute( 'ID' ));
        if( isNaN(towar_id) ){
            alert('Nie zosta zwrcony identyfikator towaru.');
            return;
        }

        var stan_magazynu = new Object();
        
        stan_magazynu.ILOSC = o_towar_xml.getAttribute( 'ILOSC' );
        stan_magazynu.ILOSC_MAG = o_towar_xml.getAttribute( 'ILOSC_MAGAZYN' );
        stan_magazynu.ILOSC_REZ = o_towar_xml.getAttribute( 'ILOSC_REZERWACJA' );
        stan_magazynu.MAGAZYN_ID = o_towar_xml.getAttribute( 'MAGAZYN_ID' );

        stany_magazynu[towar_id] = stan_magazynu;
        dostawy[towar_id] = new Array();

        var atrybuty = ['ID', 'MAGAZYN_NAZWA', 'MAGAZYN_NUMER', 'NUMER_DOKUMENTU', 'TYP_DOK', 'CENA_ZAKUPU', 'CENA_PROMOCYJNA', 'ILOSC', 'ILOSC_ZAMOWIONA', 'ILOSC_ZAREZERWOWANA', 'ILOSC_DOSTEPNA' ];

        /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
        var key, value;
        var i, j;

        for( i = 0; i < o_dostawy_xml.length; i++){
            o_dostawa_xml = o_dostawy_xml.item(i);

            o_dostawa = new Object();

            for( j = 0; j < atrybuty.length; j++){
                key = atrybuty[j];
                value = o_dostawa_xml.getAttribute( key );
                o_dostawa[key] = value;
            }
            dostawy[towar_id].push( o_dostawa );
        }

        if( towar_id == dostawy_towar_id && dostawy_pokaz == 1 )
            dostawy_print( dostawy[towar_id], stan_magazynu );

    }
}




