function set_style( o_obj, o_style){
    var styl = null;
    for( styl  in o_style ){
        o_obj.style[styl] = o_style[o_style];
    }
}

var Suggests = [];
/*
input_= jest to identyfikator pola typu input do ktrego maja zostac wywietlone podpowiedzie
url_= adres url z jakim musi sie czyc w celu uzyskania podpowiedzie
cache_= cache w ktrym beda przechowywane odpowiedzi z serwera, mozna dzieki temu wykorzystac
        pamie podrczna z innego pola
var_= nazwa zmiennaje jaka worzymy, przydatne po kliknieciu enterem, poniewaz jest wywoywana
      metoda update_more
*/
function Suggest(input_, url_, cache_, var_){
    /* URL do strony PHP, ktra poda podpowiedzi dla danego sowa kluczowego*/
    this.getUrl = url_; //"kontrahenci.php?PHPSESSID=" + SESSSION_ID + "&keyword=";
    /* nazwa zmiennej jak sie nazywa */
    this.input = input_;
    /* nazwa zmiennej jak sie nazywa */
    this.var_name = var_;
    /*minimalna dugosc sowa kluczowego, ktra jesli zostanie przekroczane to jest kierowane zapytanie do serwera*/
    this.minKeywordLength = 2;
    /* sowo kluczowe, dla ktrego wywoujemy danie HTTP*/
    this.httpRequestKeyword = "";
    /* ostatnie sowo kluczowe, dla ktrego wysyano danie*/
    this.userKeyword = "";
    /* ilo podpowiedzi pojawiajcych si dla danego sowa kluczowego*/
    this.suggestions = 0;
    /* maksymalna liczba znakw wywietlanych w podpowiedzi*/
    this.suggestionMaxLength = 50;
    /* flaga, ktra wskazuje, czy uytkownik skorzysta ze strzaek w gr lub w d podczas ostatniego zdarzenia keyup*/
    this.isKeyUpDownPressed = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Alt*/
    this.altKey = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Shift*/
    this.shiftKey = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Ctrl*/
    this.ctrlKey = false;
    /* ostatnia podpowied uyta do autouzupeniania sowa kluczowego*/
    this.autocompletedKeyword = "";
    /* flaga, ktra okrela, czy s wyniki dla obecnego sowa kluczowego*/
    this.hasResults = false;
    /* obecnie wybrana (mysz lub strzakami) podpowied*/
    this.position = -1;
    /* czy zostay przypisane funkcje na key down i key up*/
    this.aktywny = false;

    /* czy funkcja podpowiadajaca ma wyszukiwac wpisany ciag znakw w zwracanych
    sowach (true) czy tez zwracanie wyniki maj zaczyna si od wpisanej frazy (false) */
    this.zawierajacy = false;
    
    /* identyfikator uywany do odwoania procesu oceny (metoda Timeout)*/
    var timeoutId = -1;
    
    /* obiekt pamici podrcznej, zawierajcy podpowiedzi pobrane dla rnych sw kluczowych*/
    if( typeof(cache_) == 'object' && cache_ ){
        this.oCache = cache_;
    }else if( typeof(cache_) == 'string' && cache_ == 'no_cache' ){
        this.oCache = new Cache( true );
    }else{
        this.oCache = new Cache();
    }
    //liczba pozycji wyswietlanych do przewijania
    this.positions = 10;
    /* minimalna i maksymalna pozycja widocznych podpowiedzi*/
    this.minVisiblePosition = 0;
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1); // this.maxVisiblePosition + 1 pozycji bedzie wyswietlanych
    //na razie jest wyliczane, ale chyba lepiej zrobie jak dla kazdego wiersza bede ustawia ta wartosc
    //jako wysokosc wiersza
    this.trScrollHeight = 16;
    //czy scroll zosta przewiniety dla mouse Over
    this.scrolled = false;
    
    // wartoc true powoduje wywietlenie szczegowego komunikatu o bdzie
    this.debugMode = true;
    if(window.debug){
        this.debugDevice = debug;
    }else{
        /*Element typu textarea, window czy dokument w ktrym bede wypisywa komunikaty*/
        //this.debugDevice = new Debug('txt');
    }
    
    /* obiekt XMLHttpRequest, stworzony do komunikowania si z serwerem*/
    this.xmlHttpGetSuggestions = createXmlHttpRequestObject();
    
/******************************************************************************/
    // pobiera element kontrolujcy sowo kluczowe podane na wejciu
    this.oKeyword = document.getElementById(input_);
    if(!this.oKeyword){
      //moze dostawic element input
      alert('Metoda getElementById dla pola input o id: ' + input_ + ' nie zwrcia poprawnego obiektu!');
      return false;
    }
    this.oKeyword.parentNode.style.position = 'relative';
    this.oKeyword.parentNode.style.marginRight = '30px';
    //this.oKeyword.parentNode.style.zIndex = '110';
    
    // zapobiega uruchomieniu domylnego autouzupeniania przegldarki
    this.oKeyword.setAttribute("autocomplete", "off");
    // czyci zawarto sowa kluczowego i ustawia kursor w okienku tekstowym
    //this.oKeyword.value = "";
    
    
/******************************************************************************/
    //to poniej sie zmieni bedzie na przykad input_ + scroll
    //this.oScroll = document.getElementById("scroll");
    this.oScroll = document.getElementById(input_ + '_' + 'scroll');
    if( !this.oScroll ){
    ///alert('suggest');
        this.oScroll = document.createElement('div');

        this.oScroll.className = 'scroll';
        this.oScroll.style.zIndex = 510;
        this.oScroll.style.position = "absolute";
        this.oScroll.style.display = "block";
        this.oScroll.style.visibility = "hidden";
        this.oScroll.style.width = 300;

        //var a_keyword_dim = new Array();
        //get_dimensions(this.oKeyword, a_keyword_dim);
        this.oScroll.style.top  = this.oKeyword.offsetTop +  this.oKeyword.offsetHeight;
        this.oScroll.style.left = this.oKeyword.offsetLeft;
    }

/******************************************************************************/
    // pobiera obiekty oSuggest
    this.oSuggest = document.getElementById(input_ + '_' + 'suggest');
    if( !this.oSuggest ){
    //alert('suggest');
        this.oSuggest = document.createElement('div');
        this.oSuggest.className = 'suggest';
        this.oScroll.appendChild(this.oSuggest);

        if(this.oKeyword.nextSibling){
            this.oKeyword.parentNode.insertBefore(this.oScroll, this.oKeyword.nextSibling);
        }else{
            this.oKeyword.parentNode.appendChild(this.oScroll);
        }
    }
    
    var o_self = this;

/******************************************************************************/
    this.oContent = document.getElementById(input_ + '_' + 'content');
    if( !this.oContent ){
    //alert('Tworze content!!');
        this.oContent = document.createElement('div');
        //background-color:efefef; opacity: 0.4;
        this.oContent.className = 'content';
        this.oContent.style.position = 'absolute';
        
        this.oContent.onclick = function(){ o_self.hideSuggestions(); };
//        document.body.insertBefore(this.oContent, document.body.firstChild);
        document.body.appendChild(this.oContent);
        //this.oKeyword.parentNode.appendChild(this.oContent);
    }

    
    var num = Suggests.length;
    
    Suggests[Suggests.length] = this;
    
    this.active();
}


Suggest.prototype.active = function(){

    if( this.aktywny ) return;

    this.aktywny = true;
    
    var suggest_ref = this;
    
    suggest_ref.keyup_function = function(e){ suggest_ref.suggestKeyUp(e) }
    suggest_ref.keydown_function =  function(e){ suggest_ref.suggestKeyDown(e) }
    
/******************************************************************************/
/*      rejestrowanie funkcji rejestrujacej zwolnienie klawisza
/******************************************************************************/
    if (this.oKeyword.addEventListener) {  // DOM Level 2 Event Model
        // Register capturing event handlers
        //debug.pisz('rejestruje przez addEventListener');
        this.oKeyword.addEventListener("keyup", suggest_ref.keyup_function, true);
        this.oKeyword.addEventListener("keydown", suggest_ref.keydown_function, true);
        //debug.pisz('zarejestrowaem');
    } else if (document.attachEvent) {  // IE 5+ Event Model
        // In the IE Event model, we can't capture events, so these handlers
        // are triggered when only if the event bubbles up to them.
        // This assumes that there aren't any intervening elements that
        // handle the events and stop them from bubbling.
        //debug.pisz('rejestruje przez attachEvent');
        this.oKeyword.attachEvent("onkeyup", suggest_ref.keyup_function );
        this.oKeyword.attachEvent("onkeydown", suggest_ref.keydown_function );
        //debug.pisz('zarejestrowaem');
    } else {                            // IE 4 Event Model
        // In IE 4 we can't use attachEvent(), so assign the event handlers
        // directly after storing any previously assigned handlers so they
        // can be restored.  Note that this also relies on event bubbling.
        /*var oldmovehandler = document.onmousemove;
        var olduphandler = document.onmouseup;
        document.onmousemove = moveHandler;
        document.onmouseup = upHandler;*/
        //debug.pisz('w ogle nie rejestruje');
        this.oKeyword.onkeyup =  suggest_ref.keyup_function;
        this.oKeyword.onkeydown =  suggest_ref.keydown_function;
        
        return false;
    }
}



Suggest.prototype.deactive = function (){
    if( !this.aktywny ) return;

    this.aktywny = false;

    var suggest_ref = this;
/******************************************************************************/
/*      rejestrowanie funkcji rejestrujacej zwolnienie klawisza
/******************************************************************************/
    if (this.oKeyword.addEventListener) {  // DOM Level 2 Event Model
        // Register capturing event handlers
        //debug.pisz('rejestruje przez addEventListener');

        this.oKeyword.removeEventListener("keyup",  suggest_ref.keyup_function, true);
        this.oKeyword.removeEventListener("keydown", suggest_ref.keydown_function, true);
        //debug.pisz('zarejestrowaem');
    }else if (document.attachEvent) {  // IE 5+ Event Model
        // In the IE Event model, we can't capture events, so these handlers
        // are triggered when only if the event bubbles up to them.
        // This assumes that there aren't any intervening elements that
        // handle the events and stop them from bubbling.
        //debug.pisz('rejestruje przez attachEvent');
        this.oKeyword.attachEvent("keyup", function(e){ try{suggest_ref.suggestKeyUp(e)} catch(err){alert('Wystpi bd: '.err.toString())} } );
        this.oKeyword.attachEvent("keydown", function(e){ suggest_ref.suggestKeyDown(e) } );
        //debug.pisz('zarejestrowaem');
    }else {                            // IE 4 Event Model
        // In IE 4 we can't use attachEvent(), so assign the event handlers
        // directly after storing any previously assigned handlers so they
        // can be restored.  Note that this also relies on event bubbling.
        /*var oldmovehandler = document.onmousemove;
        var olduphandler = document.onmouseup;
        document.onmousemove = moveHandler;
        document.onmouseup = upHandler;*/
        //debug.pisz('w ogle nie rejestruje');
        this.oKeyword.keyup = function(){};
        this.oKeyword.keydown = function(){};
    }
}


/* funkcja obsugujca wcinicie klawisza*/
Suggest.prototype.suggestKeyUp = function(e){
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var keyword = this.oKeyword.value;
  if( keyword.length <= this.minKeywordLength ){
    // ukrywa podpowiedzi
    this.hideSuggestions();
    // czyci sowo kluczowe
    this.userKeyword = keyword;
    this.httpRequestKeyword = keyword;
  }
  
  
  if( (this.userKeyword != keyword) && (this.autocompletedKeyword != keyword) && (!this.isKeyUpDownPressed)){
    // aktualizuje podpowied
    //this.debugDevice.pisz('keyup: Wywouje metod getSuggestions(' + keyword + ') ale za 0.5 sek.');
    var suggest_ref = this;
    this.timeoutId = setTimeout(function(){ suggest_ref.getSuggestions(keyword);}, 500 );
  }


  // sprawdza, czy pojawi si ktry z wanych dla aplikacji znakw
  switch(code){
    // po naciniciu strzaki w d przechodzi do kolejnej podpowiedzi
    //po wcisnieciu klawisza Shift

    //po wcisnieciu klawisza Shift
    case 16:
        this.shiftKey = false;
    break;
    //po wcisnieciu klawisza Ctrl
    case 17:
        this.ctrlKey = false;
    break;
    //po wcisnieciu klawisza Alt
    case 18:
        this.altKey = false;
    break;


  }//end case
} /* end keydown event listener*/



/******************************************************************************/
/*      funkcja obsugujca wcinicie klawisza
/******************************************************************************/
//  this.oKeyword.addEventListener('keydown',
Suggest.prototype.suggestKeyDown = function(e){
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var keyword = this.oKeyword.value;
  if( keyword.length < this.minKeywordLength ){
    // ukrywa podpowiedzi
    this.hideSuggestions();
    // czyci sowo kluczowe
    this.userKeyword = keyword;
    this.httpRequestKeyword = keyword;
  }

/*
  if( (this.userKeyword != keyword) && (this.autocompletedKeyword != keyword) && (!this.isKeyUpDownPressed)){
    // aktualizuje podpowied
    this.debugDevice.pisz('keydown: Wywouje metod getSuggestions(' + keyword + ') ');
    this.timeoutId = setTimeout(function(){ this.getSuggestions(keyword);}, 500 );
  } */

  this.isKeyUpDownPressed = false;
  //scrol sie nie zmieni
  this.scrolled = false;
  switch(code){
    /* po wciniciu klawisza Backspace*/
    case 8:
      // sprawdza, czy jest zrobiony selectRange,  wtedy usuwa dodatkowo jeszcze jeden znak
      //this.debugDevice.pisz('Zosta wcisniety klawisz Backspace. Userkeyword: ' + this.userKeyword + ' obciecie = '+ this.userKeyword.substr(0, this.userKeyword.length-1));
      //this.oKeyword.value = this.userKeyword.substr(0, this.userKeyword.length-1);
      //this.userKeyword = this.oKeyword.value;
      //this.isKeyUpDownPressed = true;
    break;

    /* po wciniciu klawisza Enter, przechodzi do strony pomocy PHP dla danej funkcji */
    case 13:
      // sprawdza, czy jaka funkcja jest wanie wybrana
      e.cancelBubble = true;
      e.returnValue = false;

      if(this.position >= 0){
        try{
          e.stopPropagation();
          e.preventDefault();
        }catch(err){}

        var oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //jest drugi parametr wiec robi dodatkowe aktualizacje
        this.updateKeywordValue(oTR, true);

        this.hideSuggestions();

        this.isKeyUpDownPressed = true;
      }
    break;

    //po wcisnieciu klawisza Shift
    case 16:
        this.shiftKey = true;
    break;
    //po wcisnieciu klawisza Ctrl
    case 17:
        this.ctrlKey = true;
    break;
    //po wcisnieciu klawisza Alt
    case 18:
        this.altKey = true;
    break;

    //po wcisnieciu klawisza 27 Esc
    case 27:
        this.hideSuggestions();
    break;

    // po naciniciu strzaki w d przechodzi do kolejnej podpowiedzi
    case 40:
      //podstawoe przypidania
      e.cancelBubble = true;
      e.returnValue = false;
      //te ze zosta wcisniety klawisz up, down, pageUp pageDown, home, end
      this.isKeyUpDownPressed = true;

      var oTR = null;
      if(this.position < 0){
        if(this.hasResults && this.scrollVisible){
          //ustaw poz na 0
          this.position = 0;
          //znajdz element 0
          oTR = this.oSuggest.getElementsByTagName('tr').item(0);
          //podswietl
          oTR.className = "highlightrow";
          //zaktualizuj w polu
          this.updateKeywordValue(oTR);
        }else{
          //pokazuje podpowiedzi
          this.showSuggestions();
        }
      }else if(this.position < this.suggestions - 1 ){
        //znajdz stary tr ktory byl podswietlony
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //i juz go nie podswietlaj
        oTR.className = "";
        //zmien pozycje na nastepna
        this.position++;
        //znajdz nowego TRa, mozna skorzystac z opcji nextSibling, ale czasami nextSibling moze byc textNode
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //podswietl nowa pozycje
        oTR.className = "highlightrow";
        //zaktualizuj wartosc w polu input
        this.updateKeywordValue(oTR);

        // przewija podpowiedzi w d, jeli widoczne okno nie jest ju aktualne
        if(this.position > this.maxVisiblePosition){
          //ustawiam ze przewinoem scrolla
          this.scrolled = true;

          //przewijam
          this.oScroll.scrollTop += this.trScrollHeight;
          this.maxVisiblePosition += 1;
          this.minVisiblePosition += 1;
        }
      }
    break;

    // nacinicie strzaki w g przenosi nas do poprzedniej podpowiedzi
    case 38:
      //podstawoe przypisania
      e.cancelBubble = true;
      e.returnValue = false;
      //te ze zosta wcisniety klawisz up, down, pageUp pageDown, home, end
      this.isKeyUpDownPressed = true;
      //element TR
      var oTR = null;

      // zaznacza now podpowied i aktualizuje sowo kluczowe
      if(this.position > 0){
        //odnajduje stary element
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //i przestaje go podswietlac
        oTR.className = "";
        //przechodze o pozycje wyzej
        this.position--;
        //pobieram element TR odpowiadajacy tej pozycji
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //podswietlam go
        oTR.className = "highlightrow";
        //aktualizuje inputa
        this.updateKeywordValue(oTR);

        // przewija okno w gr, jeli dane w nim s ju nieaktualne
        if( this.position < this.minVisiblePosition ){
          //ustawiam ze przewinoem scrolla to dla mouseOver jest zawsze generowany
          //jak sie przesunie scrola i position jest ustawiany akurat
          this.scrolled = true;
          //przewijam
          this.oScroll.scrollTop  -= this.trScrollHeight;
          this.maxVisiblePosition -= 1;
          this.minVisiblePosition -= 1;
          //jakis debug, kto wie czy sie nie przyda jak nie bede czegos przerabia
          //this.debugDevice.pisz('UP: oScroll.scrollTop ' + scroll_top1 + ' po przewinieciu o ' + this.trScrollHeight + ' scrollTop = ' +  this.oScroll.scrollTop);
        }

      }else if(this.position == 0){
        oTR = this.oSuggest.getElementsByTagName('tr').item(0);
        oTR.className = "";
        this.position = -1;
      }else if( this.hasResults && this.scrollVisible){
        //jesli -1 i jest widoczny scroll to zoznaczam ostatnia pozycje na liscie
        this.position = this.suggestions-1;

        //jesli konieczne jest przewiniecie
        if(this.maxVisiblePosition < (this.suggestions-1) ){
          //ustawiam ze przewinoem scrolla
          this.scrolled = true;

          this.maxVisiblePosition = this.suggestions-1;
          this.minVisiblePosition = this.maxVisiblePosition - this.positions + 1;
          //przewijam
          this.oScroll.scrollTop  += this.oScroll.scrollHeight - (this.positions * this.trScrollHeight);
        }//inaczej nie ma co przewijac

        //zaznaczam nowy wybor
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        oTR.className = "highlightrow";
      }else{
        //w przeciwnym wypadku pokazuje scrolla
        this.showSuggestions();
      }
    break;

    // page down
    case 34:
      e.cancelBubble = true;
      e.returnValue  = false;
      this.isKeyUpDownPressed = true;

      var oTR = null;

      //gdy this.position == -1 to ustawiam na 0
      if (this.position < 0){
        this.position = 0;
        oTR = this.oSuggest.getElementsByTagName('tr').item(0);
        oTR.className = "highlightrow";
        this.updateKeywordValue(oTR);
      }else if( this.position < this.suggestions-1 ){
        //jesli jestesmy w przedziale od 0 do n-2, bo dla ostatniego nie mamy co zmieniac lub przekrecamy liste zalezy

        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //if(oTR && oTR.className)
          oTR.className = "";

        //this.debugDevice.pisz('newTr.height: ' + newTR.height + ' newTr.scrollHeight: ' + newTR.scrollHeight + ' newTr.clientHeight: ' + newTR.clientHeight );
        //var scroll_top1 = this.oScroll.scrollTop;

        //zwiekszam o calosc o cala strone
        this.position += this.positions;
        //jesli tylko nie wyskocze poza przedzia
        if( this.position <= (this.suggestions-1) ){
          //ustawiam ze przewinoem scrolla
          this.scrolled = true;

          this.maxVisiblePosition += this.positions;
          this.minVisiblePosition += this.positions;

          this.oScroll.scrollTop  += (this.positions * this.trScrollHeight);
        }else{
          this.position = this.suggestions-1;

          if(this.maxVisiblePosition < (this.suggestions-1) ){
            //ustawiam ze przewinoem scrolla
            this.scrolled = true;

            this.maxVisiblePosition = this.suggestions-1;
            this.minVisiblePosition = this.maxVisiblePosition - this.positions + 1;
            //przewijam
            this.oScroll.scrollTop  += this.oScroll.scrollHeight - (this.positions * this.trScrollHeight);
          }//inaczej nie ma co przewijac
        }

        //zaznaczam nowy wybor
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        oTR.className = "highlightrow";

        //this.debugDevice.print_r(oTR,'oTR');

        this.updateKeywordValue(oTR);
        //this.debugDevice.pisz('Down: oScroll.scrollTop ' + scroll_top1 + ' po przewinieciu o ' + this.trScrollHeight + ' scrollTop = ' +  this.oScroll.scrollTop);
      }
    break;

    //page UP
    case 33:
      e.cancelBubble = true;
      e.returnValue  = false;
      this.isKeyUpDownPressed = true;

      if(this.position > -1){
        //usuwam stary
        var oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        //if(oTR && oTR.className)
          oTR.className = "";

        if(this.position == 0){
          this.position = -1;
        }else{
          //zwiekszam o calosc o cala strone
          this.position -= this.positions;

          if( this.position >= 0 ){
            //ustawiam ze przewinoem scrolla
            this.scrolled = true;

            this.minVisiblePosition -= this.positions;
            this.maxVisiblePosition -= this.positions;


            this.oScroll.scrollTop  -= (this.positions * this.trScrollHeight);
          }else{
            this.position = 0;
            if(this.minVisiblePosition > 0 ){
              //ustawiam ze przewinoem scrolla
              this.scrolled = true;

              this.minVisiblePosition = 0;
              this.maxVisiblePosition = this.positions - 1;

              this.oScroll.scrollTop  = 0;
            }
          }
          //zaznaczam nowy wybor
          oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
          oTR.className = "highlightrow";

          this.updateKeywordValue(oTR);
        }//end if(this.position == 0){
      }

    break;

    //klawisz End
    case 35:
      e.cancelBubble = true;
      e.returnValue  = false;
      this.isKeyUpDownPressed = true;

      //jesli sowo kluczowe ma wyniki
      if(this.hasResults){
        var oTR = null;

        //jelsi podpowiedzi nie sa widoczne to je pokaz
        if(!(this.scrollVisible)){
          this.showSuggestions();
          return true;
        }
        //zdezaktywuj stare zaznaczenie o ile takie byo
        if(this.position >= 0){
          //zaznaczam nowy wybor
          oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
          oTR.className = "";
        }
        //nowy wybor staje sie ostatnim na liscie
        this.position = this.suggestions-1;

        //jesli konieczne jest przewiniecie
        if(this.maxVisiblePosition < (this.suggestions-1) ){
          //ustawiam ze przewinoem scrolla
          this.scrolled = true;

          this.maxVisiblePosition = this.suggestions-1;
          this.minVisiblePosition = this.maxVisiblePosition - this.positions + 1;
          //przewijam
          this.oScroll.scrollTop  += this.oScroll.scrollHeight - (this.positions * this.trScrollHeight);
        }//inaczej nie ma co przewijac

        //zaznaczam nowy wybor
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        oTR.className = "highlightrow";
        //aktualizuje sowo w inpucie
        this.updateKeywordValue(oTR);
      }

    break;

    //klawisz Home
    case 36:
      e.cancelBubble = true;
      e.returnValue  = false;
      this.isKeyUpDownPressed = true;

      //jesli sowo kluczowe ma wyniki
      if(this.hasResults){
        //jelsi podpowiedzi nie sa widoczne to je pokaz
        if(!(this.scrollVisible)){
          this.showSuggestions();
          return true;
        }

        var oTR = null;
        //zdezaktywuj stare zaznaczenie o ile takie byo
        if(this.position >= 0){
          //zaznaczam nowy wybor
          oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
          oTR.className = "";
        }
        //nowy wybor staje sie zerowy
        this.position = 0;
        if(this.minVisiblePosition > 0 ){
          //ustawiam ze przewinoem scrolla
          this.scrolled = true;

          this.minVisiblePosition = 0;
          this.maxVisiblePosition = this.positions - 1;

          this.oScroll.scrollTop  = 0;
        }

        //zaznaczam nowy wybor
        oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
        oTR.className = "highlightrow";
        //aktualizuje sowo w inpucie
        this.updateKeywordValue(oTR);
      }
    break;
  } //case
}
//, true);


/* funkcja ukrywajca warstw z popdpowiedziami */
Suggest.prototype.hideSuggestions = function(){
  this.oScroll.style.visibility = "hidden";
  this.oContent.style.display   = "none";

  this.oContent.style.visibility = "hidden";
  this.oContent.style.display = "block";
  this.oContent.style.top  = 0;
  this.oContent.style.left = 0;

  this.oContent.style.width  = 1;
  this.oContent.style.height = 1;

  if(this.position >= 0){
    //usuwam stary wybr
    oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
    if( oTR ) oTR.className = "";
  }
  //pozycje ustawiam na minus jeden
  this.position = -1;
  //pole widoku tez na pierwsza strone
  this.minVisiblePosition = 0;
  this.maxVisiblePosition = this.positions - 1;
  //przewijam scrolla na poczatek
  this.oScroll.scrollTop  = 0;

  this.scrollVisible = false;
}


/* funkcja pokazujaca warstw z popdpowiedziami */
Suggest.prototype.showSuggestions = function(){
  this.oContent.style.zIndex = 100;
  this.oContent.style.position = 'absolute';
  this.oContent.style.top = 0;
  this.oContent.style.left = 0;
  //window.status = 'window.innerHeight = ' + document.body.clientHeight + ' document.body.scrollWidth = ' + document.body.scrollHeight;
  this.oContent.style.width  = document.body.scrollWidth;
  this.oContent.style.height = document.body.scrollHeight;
  this.oContent.style.visibility = "visible";
  
  this.oScroll.style.zIndex = 110;
  this.oScroll.style.position = 'absolute';
  this.oScroll.style.visibility = "visible";
  
  this.scrollVisible = true;
}


/* pocztkuje danie HTTP, w celu pobrania podpowiedzi dla wpisanego sowa kluczowego */
Suggest.prototype.getSuggestions = function(keyword){
  var suggest_ref = this;
  /* kontynuuje, jeli wpisano jakie znaki i ostatnio wcinitym klawiszem nie bya jedna z pionowych strzaek*/
  if( keyword.length >  this.minKeywordLength /*&& !isKeyUpDownPressed*/){
    // pobiera sowo, ktre wpisa uytkownik
    this.userKeyword = keyword;
    
    // sprawdza, czy sowo jest w pamici
    var isInCache = this.oCache.check(keyword);
    
    // jeli jest...
    if(isInCache == true){
      // pobiera wyniki z pamici
      this.httpRequestKeyword = keyword;
      this.userKeyword        = keyword;
      //wywietla wyniki
      if(this.httpRequestKeyword == this.oKeyword.value ){
        //this.debugDevice.pisz('Slowo: ' + keyword + ' Jest w cachu i zgadza sie ze sowem z pola input: ' + this.oKeyword.value);
        this.displayResults(this.oCache.get(keyword));
      }else{
        //trzeba pobrac wyniki da nowego sowa
        //this.debugDevice.pisz('Slowo: ' + keyword + ' Jest w cachu ale nie zgadza sie ze sowem z pola input: ' + this.oKeyword.value);
        keyword = this.oKeyword.value;
        this.userKeyword = keyword;
        // czyci poprzednio ustawione czasy
        if(this.timeoutId != -1)
          clearTimeout(this.timeoutId);
        // ponawia prb po 0.5 sekundy
        this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
      }
    }else{ // jeli go nie ma w pamici, wysya nowe danie HTTP
      if( this.xmlHttpGetSuggestions ){
        try{
          /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
          if ( this.xmlHttpGetSuggestions.readyState == 4 || this.xmlHttpGetSuggestions.readyState == 0){
            this.httpRequestKeyword = keyword;
            
            //this.debugDevice.pisz('cz sie z serwerem. Z nastpujcym adresem: ' + this.getUrl + encode(keyword) );
            //document.getElementById('debug').innerHTML = 'cz sie z serwerem. Z nastpujcym adresem: ' + this.getUrl + escape(keyword);
            
            //this.xmlHttpGetSuggestions.open("GET", this.getUrl + encode(keyword), true);
            //bez unikania znakw specjalnych
            this.xmlHttpGetSuggestions.open("GET", this.getUrl + keyword, true);
            this.xmlHttpGetSuggestions.onreadystatechange = function(){
                suggest_ref.handleGettingSuggestions();
            };
            this.xmlHttpGetSuggestions.send(null);
          }else{ // jeli jest zajty...
            //this.debugDevice.pisz('Serwer jest zajty dla sowa: ' + keyword);
            // czyci poprzednio ustawione czasy
            if(this.timeoutId != -1)
              clearTimeout(this.timeoutId);
            // ponawia prb po 0.5 sekundy
            this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
          }
        }catch(e){
          displayError("Nie mog poczy si z serwerem:\n" + e.toString());
        }
      }
    }
  }
}



/*  obsuguje odpowied serwera, zawierajc podpowiedzi dla danego sowa kluczowego */
Suggest.prototype.handleGettingSuggestions = function (){
  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (this.xmlHttpGetSuggestions.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (this.xmlHttpGetSuggestions.status == 200){
      try{
        // przetwarza odpowied serwera
        this.updateSuggestions();
      }catch(e){
        // wywietla komunikat o bdzie
        displayError( 'Update suggestions: ' + e.toString() );
      }
    }else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.statusText);
    }
  }
}

/* funkcja przetwarzajca odpowied serwera */
Suggest.prototype.updateSuggestions = function(){
/*
  document.getElementById('debug').innerHTML = this.xmlHttpGetSuggestions.responseText;
  alert(this.xmlHttpGetSuggestions.responseText);
*/

  // pobiera odpowied serwera
  var response = this.xmlHttpGetSuggestions.responseText;
  // bd serwera?
  if (response.indexOf("ERRNO") >= 0 || response.indexOf("error:") >= 0 || response.length == 0)
    throw(response.length == 0 ? "Void server response." : response);
  // pobiera element dokumentu
  response = this.xmlHttpGetSuggestions.responseXML.documentElement;
  // zakada now tablic z nazwami funkcji
  var nameArray = new Array();
  // sprawdza, czy s wyniki dla szukanego sowa kluczowego
  if(response && response.childNodes && response.childNodes.length > 0){
    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    nameArray = this.oCache.fromXML(this.httpRequestKeyword, response);
  }else{
    //dodaje do cachu pusty ciag
    this.oCache.add(this.httpRequestKeyword, nameArray);
  }
  
  // sprawdza, czy s ju poszukiwane inne sowa kluczowe
  if(this.httpRequestKeyword == this.oKeyword.value){
    //this.debugDevice.pisz('Zostala zwrcona odpowiedz z serwera dla sowa: '+this.httpRequestKeyword + ' i jest ona zgodna ze sowem w polu: ' + this.userKeyword);
    // wywietla tablic wynikw
    this.displayResults(nameArray);
  }else{
    //this.debugDevice.pisz('Zostala zwrcona odpowiedz z serwera dla sowa: '+this.httpRequestKeyword + ' i jest ona rna od sowa w polu: ' + this.userKeyword + ' dodaje wiec calosc do cachu! ');
    // dodaje wyniki do pamici
    // nie trzeba wywietla wynikw, poniewa s ju niepotrzebne
    this.oCache.add(this.httpRequestKeyword, nameArray);
    //znw pobierz suggesttions
    if(this.timeoutId != -1)
      clearTimeout(this.timeoutId);
    //aktualizuje user
    this.userKeyword = this.oKeyword.value;
    //dwie zmienne do wywoania funkcji za pewien czas
    var keyword = this.oKeyword.value;
    var suggest_ref = this;
    // ponawia prb po 0.5 sekundy
    this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
  }
}

/* zapenia list podpowiedziami*/
Suggest.prototype.displayResults = function (results_array){
  var keyword = this.httpRequestKeyword;
  // rozpoczyna tworzenie tabeli HTML, w ktrej umiecimy wyniki
  var div = "<table border=0>";
  // jeli poszukiwane sowo kluczowe nie znajduje si w pamici, dodaje je do niej
  
  //jeli tablica wynikw jest pusta, wywietla komunikat
  if(results_array.length == 0){
    div += "<tr><td>Nie znaleziono dopasowania dla sowa: <strong>" + keyword + "</strong></td></tr></table>";
    this.oSuggest.innerHTML = div;
    // ustawia flag braku wynikw i zeruje licznik
    this.hasResults = false;
    this.suggestions = 0;
    this.showSuggestions();
    return;
  }else{ // wywietla wyniki
    // przestawia indeks wyrnionej podpowiedzi
    this.position = -1;
    // przestawia flag okrelajc, czy wcinito ktr ze strzaek
    this.isKeyUpDownPressed = false;
    /* ustawia flag informujc o dopasowania funkcji do podanego sowa kluczowego */
    this.hasResults = true;
    // pobiera z pamici liczb wynikw
    this.suggestions = results_array.length;
    // przeglda w ptli wyniki i tworzy ich list w HTML

    //zmienna dla id kontaktu/towaru czy tam poniej czegos innego
    var item_id = 0;

    //zmienna dla nazwy kontaktu/towaru czy tam poniej czegos innego
    var item_name = '';
    
    for (var i=0; i < results_array.length; i++){
      // pobiera biec nazw funkcji
      crtFunction = results_array[i]['name'];
      item_id = results_array[i]['id'];
      
      // zaczyna tworzy rzd tabeli HTML, ktry zawiera odnonik do oficjalnej strony z pomoc dotyczc szukanej funkcji
      div += "<tr id='tr" + i + "' onclick='" + this.var_name + ".handleOnMouseClick(this);' onmouseover='" + this.var_name + ".handleOnMouseOver(this, event);' " +
        "onmouseout='" + this.var_name + ".handleOnMouseOut(this);'>" + "<td item_id='" + item_id + "' align='left'><div style=\"height: 18px; line-height: 18px; overflow: hidden;\"><a id='a" + i +"' style='cursor:default;' >";

      // sprawdza czy dugo nazwy wybranej funkcji przekracza dopuszczaln liczb znakw, ktre mog by wywietlone
      if(crtFunction.length <= this.suggestionMaxLength){
          // pogrubia dopasowany przedrostek funkcji i sowa kluczowego
          div += "<b>" + crtFunction.substring(0, this.httpRequestKeyword.length) + "</b>"
          div += crtFunction.substring(this.httpRequestKeyword.length, crtFunction.length) +
            "</a></div></td></tr>";
      }else{
          // sprawdza czy dugo nazwy wybranego sowa kluczowego przekracza
          //dopuszczaln liczb znakw, ktre mog by wywietlone
          if( this.httpRequestKeyword.length < this.suggestionMaxLength ){
            /* pogrubia dopasowany przedrostek funkcji i sowa kluczowego */
            div += "<b>" + crtFunction.substring(0, this.httpRequestKeyword.length) + "</b>"
            div += crtFunction.substring(this.httpRequestKeyword.length, this.suggestionMaxLength) +
              "</a></div></td></tr>";
          }else{
            // pogrubia ca nazw funkcji
            div += "<b>" + crtFunction.substring(0,this.suggestionMaxLength) + "</b></a></div></td></tr>"
          }
      }
    }
  }
  // koniec tabeli HTML
  div += "</table>";

  //opcje wyswietlania
  this.position = 0;
  this.minVisiblePosition = 0;
  this.maxVisiblePosition = this.minVisiblePosition + (this.positions - 1);
  
  // przewija na gr listy
  this.oScroll.scrollTop = 0;
  
  // aktualizuje i wywietla list podpowiedzi
  this.oSuggest.innerHTML = div;

  if( this.suggestions > 0){
      this.trScrollHeight = Math.floor(this.oSuggest.scrollHeight / this.suggestions);
      this.oScroll.style.height = this.trScrollHeight * (this.positions);
  }else{
      this.oScroll.style.height = 300;
  }
  
  this.showSuggestions();
  
/*
  this.oScroll.style.zIndex = 101;
  this.oScroll.style.visibility = "visible";

  this.oContent.style.zIndex = 100;
  this.oContent.style.width  = document.body.scrollWidth;
  this.oContent.style.height = document.body.scrollHeight;
  this.oContent.style.visibility = "visible";
*/
  //komentarz
  //this.debugDevice.pisz('Zostalo wyswietlonych ' + this.suggestions + 'slow dla: '+this.httpRequestKeyword );
  //this.debugDevice.pisz('Informacje o oScroll:  scrollHeight: ' + this.oScroll.scrollHeight + ' clientHeight: ' + this.oScroll.clientHeight + ' style.height: ' + this.oScroll.style.Height );
  //this.debugDevice.pisz('Informacje o oSuggest:  scrollHeight: ' + this.oSuggest.scrollHeight + ' clientHeight: ' + this.oSuggest.clientHeight );
  
  // jeli byy jakie wyniki uzupeniamy sowo kluczowe do wartoci pierwszej funkcji
  if(results_array.length > 0)
      this.autocompleteKeyword();
}



/* funkcja uzupeniajca sowo kluczowe do waroci wybranej podpowiedzi */
Suggest.prototype.updateKeywordValue = function (oTr){
    //pobieram sam tekst ze znacznika tr
    var slowo = oTr.innerHTML.replace(/<[^>]+>/g, '');
    //wyciagam numerek bo by dopisywany
    //slowo = slowo.substring(0, slowo.lastIndexOf(' '));

    //aktualizuje sowo
    this.userKeyword = slowo;
    //aktualizuje sowo
    this.oKeyword.value = slowo;
    //jesli zosta do funkcji przekazany drugi argument i jest on true to zrb dodatkowe aktualizacje
    if( arguments.length > 1 && arguments[1] ){
        this.updateMore(oTr);
    }
}

/*
    funkcja ktora robi jakies dodatkowe aktualizacje
*/
Suggest.prototype.updateMore = function (oTr){

}


/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselectAll_old = function(){
  for(var i=0; i < this.suggestions; i++){
    var oCrtTr = document.getElementById("tr" + i);
    oCrtTr.className = "";
  }
}

/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselectAll = function(){
  var tr_tab = this.oSuggest.getElementsByTagName('tr');
  for(var i=0; i < tr_tab.length; i++){
    tr_tab.item(i).className = "";
  }
}

/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselect = function(){
  var oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
  //this.deselectAll();
  if(oTR && oTR.className)
      oTR.className = "";
  //this.debugDevice.print_r(oTR, 'tr_tab.item('+this.position+')');
}


/* funkcja obsugujca pojawienie si kursora myszy w obszarze podpowiedzi */
Suggest.prototype.handleOnMouseClick = function (oTr){
    //poniewaz ukrywa to zrb jeszcze dodatkowe aktualizacje
    this.updateKeywordValue(oTr, true);
    this.hideSuggestions();
    //this.position = oTr.id.substring(2, oTr.id.length);
}

/* funkcja obsugujca pojawienie si kursora myszy w obszarze podpowiedzi */
Suggest.prototype.handleOnMouseOver = function (oTr, e)
{
  oTr.onmousemove = this.var_name+ ".mouseX = event.clientX; " + this.var_name+ ".mouseY = event.clientY; ";
  if( this.scrolled ){
    this.scrolled = false;
    //this.debugDevice.pisz('MouseOver: was scrolled!' );
  }else{
    this.deselect();
    oTr.className = "highlightrow";
    //aktualizuje pozycje
    this.position = oTr.id.substring(2, oTr.id.length);
    //jeszcze min i max
    this.minVisiblePosition = Math.floor(this.oScroll.scrollTop / this.trScrollHeight);
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1);

    //this.debugDevice.pisz('MouseOver: not scrolled' );
    //this.debugDevice.pisz('MouseOver: ' +  this.minVisiblePosition + ' < ' + this.position + ' < ' + this.maxVisiblePosition);
    //this.debugDevice.pisz('e.clientX: ' +  e.clientX+ ' e.clientY: ' + e.clientY + ' MouseX = ' + oldx + ' MouseX = '+oldy);
    //this.debugDevice.print_r(e, 'event');
  }
/*
  if(this.mouseX == e.clientX && this.mouseY == e.clientY){
    this.debugDevice.pisz('MouseOver: kursor myszy sie nie zmieni wiec nie wykonuje nic!' );
  }else{
    var oldx = this.mouseX;
    var oldy = this.mouseY;
    
    this.mouseX = e.clientX;
    this.mouseY = e.clientY;

    this.deselect();
    oTr.className = "highlightrow";
    //aktualizuje pozycje
    this.position = oTr.id.substring(2, oTr.id.length);
    //jeszcze min i max
    this.minVisiblePosition = Math.floor(this.oScroll.scrollTop / this.trScrollHeight);
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1);

    //this.debugDevice.pisz('MouseOver: ' +  this.minVisiblePosition + ' < ' + this.position + ' < ' + this.maxVisiblePosition);
    this.debugDevice.pisz('e.clientX: ' +  e.clientX+ ' e.clientY: ' + e.clientY + ' MouseX = ' + oldx + ' MouseX = '+oldy);
    //this.debugDevice.print_r(e, 'event');
  }
*/
}


/* funkcja obsugujca wyjcie kursora myszy z obszaru podpowiedzi */
Suggest.prototype.handleOnMouseOut = function (oTr){
  oTr.className = "";
  oTr.onmousemove = "";
  //this.position = -1;
}


/* funkcja uzupeniajca wpisane sowo kluczowe */
Suggest.prototype.autocompleteKeyword = function(){
  // zeruje pozycj zaznaczonej podpowiedzi
  this.position = 0;
  // usuwa zaznacznie ze wszystkich odpowiedzi
  this.deselectAll();
  // podwietla wybran podpowied
  var oTR = this.oSuggest.getElementsByTagName('tr').item(0);
  oTR.className="highlightrow";
  // uzupenia sowo kluczowe do podpowiedzi
  this.updateKeywordValue(oTR);
  // stosuje odpowiedni styl
  selectRange(this.oKeyword, this.httpRequestKeyword.length, this.oKeyword.value.length);
  // ustawia uzupenione sowo jako warto sowa kluczowego
  this.autocompletedKeyword = this.oKeyword.value;
}
