function Suggest(input_, url_, cache_, var_){

    /* URL do strony PHP, ktra poda podpowiedzi dla danego sowa kluczowego*/
    this.getUrl = url_; //"kontrahenci.php?PHPSESSID=" + SESSSION_ID + "&keyword=";
    /* nazwa zmiennej jak sie nazywa */
    this.var_name = var_;
    /*minimalna dugosc sowa kluczowego, ktra jesli zostanie przekroczane to jest kierowane zapytanie do serwera*/
    this.minKeywordLength = 0;
    /* sowo kluczowe, dla ktrego wywoujemy danie HTTP*/
    this.httpRequestKeyword = "";
    /* ostatnie sowo kluczowe, dla ktrego wysyano danie*/
    this.userKeyword = "";
    /* ilo podpowiedzi pojawiajcych si dla danego sowa kluczowego*/
    this.suggestions = 0;
    /* maksymalna liczba znakw wywietlanych w podpowiedzi*/
    this.suggestionMaxLength = 30;
    /* flaga, ktra wskazuje, czy uytkownik skorzysta ze strzaek w gr lub w d podczas ostatniego zdarzenia keyup*/
    this.isKeyUpDownPressed = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Alt*/
    this.altKey = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Shift*/
    this.shiftKey = false;
    /* flaga, ktra wskazuje, czy jest wcisniety przycisk Ctrl*/
    this.ctrlKey = false;
    /* ostatnia podpowied uyta do autouzupeniania sowa kluczowego*/
    this.autocompletedKeyword = "";
    /* flaga, ktra okrela, czy s wyniki dla obecnego sowa kluczowego*/
    this.hasResults = false;
    /* obecnie wybrana (mysz lub strzakami) podpowied*/
    this.position = -1;
    /* identyfikator uywany do odwoania procesu oceny (metoda Timeout)*/
    var timeoutId = -1;
    /* obiekt pamici podrcznej, zawierajcy podpowiedzi pobrane dla rnych sw kluczowych*/
    if(cache_){
        this.oCache = cache_;
    }else{
        this.oCache = new Cache();
    }
    //liczba pozycji wyswietlanych do przewijania
    this.positions = 10;
    /* minimalna i maksymalna pozycja widocznych podpowiedzi*/
    this.minVisiblePosition = 0;
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1); // this.maxVisiblePosition + 1 pozycji bedzie wyswietlanych
    //na razie jest wyliczane, ale chyba lepiej zrobie jak dla kazdego wiersza bede ustawia ta wartosc
    //jako wysokosc wiersza
    this.trScrollHeight = 16;
    //czy scroll zosta przewiniety dla mouse Over
    this.scrolled = false;
    
    // wartoc true powoduje wywietlenie szczegowego komunikatu o bdzie
    this.debugMode = true;
    /*Element typu textarea, window czy dokument w ktrym bede wypisywa komunikaty*/
    this.debugDevice = new Debug('txt');
    /* obiekt XMLHttpRequest, stworzony do komunikowania si z serwerem*/
    this.xmlHttpGetSuggestions = createXmlHttpRequestObject();
    
/******************************************************************************/
    // pobiera element kontrolujcy sowo kluczowe podane na wejciu
    this.oKeyword = document.getElementById(input_);
    if(!this.oKeyword){
      //moze dostawic element input
      alert('Metoda getElementById dla pola input o id: ' + input + ' nie zwrcia poprawnego obiektu!');
      return false;
    }

    // zapobiega uruchomieniu domylnego autouzupeniania przegldarki
    this.oKeyword.setAttribute("autocomplete", "off");
    // czyci zawarto sowa kluczowego i ustawia kursor w okienku tekstowym
    this.oKeyword.value = "";
    
    
/******************************************************************************/
    //to poniej sie zmieni bedzie na przykad input_ + scroll
    //this.oScroll = document.getElementById("scroll");
    this.oScroll= document.createElement('div');
    this.oScroll.setAttribute('class' , 'scroll');
    this.oScroll.style.visibility = "hidden";
    this.oScroll.style.zIndex = 1001;
    
    // pobiera obiekty oSuggest
    //this.oSuggest = document.getElementById("suggest");

/******************************************************************************/
    this.oSuggest = document.createElement('div');
    this.oSuggest.setAttribute('class' , 'suggest');
    this.oScroll.appendChild(this.oSuggest);
    
    if(this.oKeyword.nextSibling){
      this.oKeyword.parentNode.insertBefore(this.oScroll, this.oKeyword.nextSibling);
    }else{
      this.oKeyword.parentNode.appendChild(this.oScroll);
    }
    

/******************************************************************************/
    this.oContent = document.createElement('div');
    this.oContent.setAttribute('style' , 'position: absolute; top:0; left:0; width:0; height:0; z-index:100; background-color:efefef; opacity: 0.4; visible:hidden');
    this.oContent.setAttribute('onclick', this.var_name + '.hideSuggestions(); ');
    document.body.appendChild(this.oContent);
    


    var suggest_ref = this;
    
    
    
/******************************************************************************/
/*      rejestrowanie funkcji rejestrujacej zwolnienie klawisza
/******************************************************************************/
    
    this.oKeyword.addEventListener('keyup',
/* funkcja obsugujca wcinicie klawisza*/
function (e)
{
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var keyword = suggest_ref.oKeyword.value;
  if( keyword.length <= suggest_ref.minKeywordLength ){
    // ukrywa podpowiedzi
    suggest_ref.hideSuggestions();
    // czyci sowo kluczowe
    suggest_ref.userKeyword = keyword;
    suggest_ref.httpRequestKeyword = keyword;
  }

  if( (suggest_ref.userKeyword != keyword) && (suggest_ref.autocompletedKeyword != keyword) && (!suggest_ref.isKeyUpDownPressed)){
    // aktualizuje podpowied
    //suggest_ref.debugDevice.pisz('keyup: Wywouje metod getSuggestions(' + keyword + ') ale za 0.5 sek.');
    suggest_ref.timeoutId = setTimeout(function(){ suggest_ref.getSuggestions(keyword);}, 500 );
  }
  

  // sprawdza, czy pojawi si ktry z wanych dla aplikacji znakw
  switch(code){
    // po naciniciu strzaki w d przechodzi do kolejnej podpowiedzi
    //po wcisnieciu klawisza Shift

    //po wcisnieciu klawisza Shift
    case 16:
        suggest_ref.shiftKey = false;
    break;
    //po wcisnieciu klawisza Ctrl
    case 17:
        suggest_ref.ctrlKey = false;
    break;
    //po wcisnieciu klawisza Alt
    case 18:
        suggest_ref.altKey = false;
    break;

    
  }//end case
} /* keydown event listener*/, true);


/******************************************************************************/
/*      funkcja obsugujca wcinicie klawisza
/******************************************************************************/
    this.oKeyword.addEventListener('keydown', function(e){
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var keyword = suggest_ref.oKeyword.value;
  if( keyword.length < suggest_ref.minKeywordLength ){
    // ukrywa podpowiedzi
    suggest_ref.hideSuggestions();
    // czyci sowo kluczowe
    suggest_ref.userKeyword = keyword;
    suggest_ref.httpRequestKeyword = keyword;
  }

/*
  if( (suggest_ref.userKeyword != keyword) && (suggest_ref.autocompletedKeyword != keyword) && (!suggest_ref.isKeyUpDownPressed)){
    // aktualizuje podpowied
    suggest_ref.debugDevice.pisz('keydown: Wywouje metod getSuggestions(' + keyword + ') ');
    suggest_ref.timeoutId = setTimeout(function(){ suggest_ref.getSuggestions(keyword);}, 500 );
  } */

  suggest_ref.isKeyUpDownPressed = false;
  //scrol sie nie zmieni
  suggest_ref.scrolled = false;
  switch(code){
    /* po wciniciu klawisza Backspace*/
    case 8:
      // sprawdza, czy jest zrobiony selectRange,  wtedy usuwa dodatkowo jeszcze jeden znak
      //suggest_ref.debugDevice.pisz('Zosta wcisniety klawisz Backspace. Userkeyword: ' + suggest_ref.userKeyword + ' obciecie = '+ suggest_ref.userKeyword.substr(0, suggest_ref.userKeyword.length-1));
      //suggest_ref.oKeyword.value = suggest_ref.userKeyword.substr(0, suggest_ref.userKeyword.length-1);
      //suggest_ref.userKeyword = suggest_ref.oKeyword.value;
      //suggest_ref.isKeyUpDownPressed = true;
    break;

    /* po wciniciu klawisza Enter, przechodzi do strony pomocy PHP dla danej funkcji */
    case 13:
      // sprawdza, czy jaka funkcja jest wanie wybrana
      if(suggest_ref.position >= 0){
        try{
          e.stopPropagation();
          e.preventDefault();
        }catch(err){
          e.cancelBubble = true;
          e.returnValue = false;
        }
        suggest_ref.stopPropagation = true;
        var oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        suggest_ref.updateKeywordValue(oTR);
        
        suggest_ref.hideSuggestions();
        suggest_ref.position = -1;
        suggest_ref.isKeyUpDownPressed = true;
      }
    break;

    //po wcisnieciu klawisza Shift
    case 16:
        suggest_ref.shiftKey = true;
    break;
    //po wcisnieciu klawisza Ctrl
    case 17:
        suggest_ref.ctrlKey = true;
    break;
    //po wcisnieciu klawisza Alt
    case 18:
        suggest_ref.altKey = true;
    break;

    //po wcisnieciu klawisza 27 Esc
    case 27:
        suggest_ref.hideSuggestions();
    break;

    // po naciniciu strzaki w d przechodzi do kolejnej podpowiedzi
    case 40:
      //podstawoe przypidania
      e.cancelBubble = true;
      e.returnValue = false;
      //te ze zosta wcisniety klawisz up, down, pageUp pageDown, home, end
      suggest_ref.isKeyUpDownPressed = true;
      
      var oTR = null;
      if(suggest_ref.position < 0){
        //ustaw poz na 0
        suggest_ref.position = 0;
        //znajdz element 0
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(0);
        //podswietl
        oTR.className = "highlightrow";
        //zaktualizuj w polu
        suggest_ref.updateKeywordValue(oTR);
      }else if(suggest_ref.position < suggest_ref.suggestions - 1 ){
        //znajdz stary tr ktory byl podswietlony
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //i juz go nie podswietlaj
        oTR.className = "";
        //zmien pozycje na nastepna
        suggest_ref.position++;
        //znajdz nowego TRa, mozna skorzystac z opcji nextSibling, ale czasami nextSibling moze byc textNode
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //podswietl nowa pozycje
        oTR.className = "highlightrow";
        //zaktualizuj wartosc w polu input
        suggest_ref.updateKeywordValue(oTR);
        
        // przewija podpowiedzi w d, jeli widoczne okno nie jest ju aktualne
        if(suggest_ref.position > suggest_ref.maxVisiblePosition){
          //ustawiam ze przewinoem scrolla
          suggest_ref.scrolled = true;

          //przewijam
          suggest_ref.oScroll.scrollTop += suggest_ref.trScrollHeight;
          suggest_ref.maxVisiblePosition += 1;
          suggest_ref.minVisiblePosition += 1;
        }
      }
    break;

    // nacinicie strzaki w g przenosi nas do poprzedniej podpowiedzi
    case 38:
      //podstawoe przypidania
      e.cancelBubble = true;
      e.returnValue = false;
      //te ze zosta wcisniety klawisz up, down, pageUp pageDown, home, end
      suggest_ref.isKeyUpDownPressed = true;
      //element TR
      var oTR = null;
      
      // zaznacza now podpowied i aktualizuje sowo kluczowe
      if(suggest_ref.position > 0){
        //odnajduje stary element
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //i przestaje go podswietlac
        oTR.className = "";
        //przechodze o pozycje wyzej
        suggest_ref.position--;
        //pobieram element TR odpowiadajacy tej pozycji
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //podswietlam go
        oTR.className = "highlightrow";
        //aktualizuje inputa
        suggest_ref.updateKeywordValue(oTR);
        
        // przewija okno w gr, jeli dane w nim s ju nieaktualne
        if(suggest_ref.position < suggest_ref.minVisiblePosition){
          //ustawiam ze przewinoem scrolla to dla mouseOver jest zawsze generowany
          //jak sie przesunie scrola i position jest ustawiany akurat
          suggest_ref.scrolled = true;
          //przewijam
          suggest_ref.oScroll.scrollTop  -= suggest_ref.trScrollHeight;
          suggest_ref.maxVisiblePosition -= 1;
          suggest_ref.minVisiblePosition -= 1;
          //jakis debug, kto wie czy sie nie przyda jak nie bede czegos przerabia
          //suggest_ref.debugDevice.pisz('UP: oScroll.scrollTop ' + scroll_top1 + ' po przewinieciu o ' + suggest_ref.trScrollHeight + ' scrollTop = ' +  suggest_ref.oScroll.scrollTop);
        }
        
      }else if(suggest_ref.position == 0){
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(0);
        oTR.className = "";
        suggest_ref.position = -1;
      }

    break;
    
    // page down
    case 34:
      e.cancelBubble = true;
      e.returnValue  = false;
      suggest_ref.isKeyUpDownPressed = true;

      var oTR = null;
      
      //gdy suggest_ref.position == -1 to ustawiam na 0
      if (suggest_ref.position < 0){
        suggest_ref.position = 0;
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(0);
        oTR.className = "highlightrow";
        suggest_ref.updateKeywordValue(oTR);
      }else if( suggest_ref.position < suggest_ref.suggestions-1 ){
        //jesli jestesmy w przedziale od 0 do n-2, bo dla ostatniego nie mamy co zmieniac lub przekrecamy liste zalezy

        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //if(oTR && oTR.className)
          oTR.className = "";

        //suggest_ref.debugDevice.pisz('newTr.height: ' + newTR.height + ' newTr.scrollHeight: ' + newTR.scrollHeight + ' newTr.clientHeight: ' + newTR.clientHeight );
        //var scroll_top1 = suggest_ref.oScroll.scrollTop;

        //zwiekszam o calosc o cala strone
        suggest_ref.position += suggest_ref.positions;
        //jesli tylko nie wyskocze poza przedzia
        if( suggest_ref.position <= (suggest_ref.suggestions-1) ){
          //ustawiam ze przewinoem scrolla
          suggest_ref.scrolled = true;
          
          suggest_ref.maxVisiblePosition += suggest_ref.positions;
          suggest_ref.minVisiblePosition += suggest_ref.positions;
          
          suggest_ref.oScroll.scrollTop  += (suggest_ref.positions * suggest_ref.trScrollHeight);
        }else{
          suggest_ref.position = suggest_ref.suggestions-1;

          if(suggest_ref.maxVisiblePosition < (suggest_ref.suggestions-1) ){
            //ustawiam ze przewinoem scrolla
            suggest_ref.scrolled = true;
            
            suggest_ref.maxVisiblePosition = suggest_ref.suggestions-1;
            suggest_ref.minVisiblePosition = suggest_ref.maxVisiblePosition - suggest_ref.positions + 1;
            //przewijam
            suggest_ref.oScroll.scrollTop  += suggest_ref.oScroll.scrollHeight - (suggest_ref.positions * suggest_ref.trScrollHeight);
          }//inaczej nie ma co przewijac
        }
        
        //zaznaczam nowy wybor
        oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        oTR.className = "highlightrow";

        //suggest_ref.debugDevice.print_r(oTR,'oTR');
        
        suggest_ref.updateKeywordValue(oTR);
        //suggest_ref.debugDevice.pisz('Down: oScroll.scrollTop ' + scroll_top1 + ' po przewinieciu o ' + suggest_ref.trScrollHeight + ' scrollTop = ' +  suggest_ref.oScroll.scrollTop);
      }
    break;

    //page UP
    case 33:
      e.cancelBubble = true;
      e.returnValue  = false;
      suggest_ref.isKeyUpDownPressed = true;
      
      if(suggest_ref.position > -1){
        //usuwam stary
        var oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
        //if(oTR && oTR.className)
          oTR.className = "";

        if(suggest_ref.position == 0){
          suggest_ref.position = -1;
        }else{
          //zwiekszam o calosc o cala strone
          suggest_ref.position -= suggest_ref.positions;
          
          if( suggest_ref.position >= 0 ){
            //ustawiam ze przewinoem scrolla
            suggest_ref.scrolled = true;
            
            suggest_ref.minVisiblePosition -= suggest_ref.positions;
            suggest_ref.maxVisiblePosition -= suggest_ref.positions;

            
            suggest_ref.oScroll.scrollTop  -= (suggest_ref.positions * suggest_ref.trScrollHeight);
          }else{
            suggest_ref.position = 0;
            if(suggest_ref.minVisiblePosition > 0 ){
              //ustawiam ze przewinoem scrolla
              suggest_ref.scrolled = true;
              
              suggest_ref.minVisiblePosition = 0;
              suggest_ref.maxVisiblePosition = suggest_ref.positions - 1;
              
              suggest_ref.oScroll.scrollTop  = 0;
            }
          }
          //zaznaczam nowy wybor
          oTR = suggest_ref.oSuggest.getElementsByTagName('tr').item(suggest_ref.position);
          oTR.className = "highlightrow";

          suggest_ref.updateKeywordValue(oTR);
        }//end if(suggest_ref.position == 0){
      }
        
    break;
  } //case
}
, true);
    

}




/* funkcja ukrywajca warstw z popdpowiedziami */
Suggest.prototype.hideSuggestions = function(){
  this.oScroll.style.visibility = "hidden";

  this.oContent.style.visibility = "hidden";
  this.oContent.style.width  = 0;
  this.oContent.style.height = 0;
   
  this.scrollVisible = false;
}


/* pocztkuje danie HTTP, w celu pobrania podpowiedzi dla wpisanego sowa kluczowego */
Suggest.prototype.getSuggestions = function(keyword){
  var suggest_ref = this;
  /* kontynuuje, jeli wpisano jakie znaki i ostatnio wcinitym klawiszem nie bya jedna z pionowych strzaek*/
  if(keyword.length >  this.minKeywordLength /*&& !isKeyUpDownPressed*/)
  {
    // pobiera sowo, ktre wpisa uytkownik
    this.userKeyword = keyword;
    
    // sprawdza, czy sowo jest w pamici
    var isInCache = this.oCache.check(keyword);
    // jeli jest...
    if(isInCache == true){
      // pobiera wyniki z pamici
      this.httpRequestKeyword = keyword;
      this.userKeyword        = keyword;
      //wywietla wyniki
      
      
      if(this.httpRequestKeyword == this.oKeyword.value ){
        //this.debugDevice.pisz('Slowo: ' + keyword + ' Jest w cachu i zgadza sie ze sowem z pola input: ' + this.oKeyword.value);
        this.displayResults(this.oCache.get(keyword));
      }else{
        //trzeba pobrac wyniki da nowego sowa
        //this.debugDevice.pisz('Slowo: ' + keyword + ' Jest w cachu ale nie zgadza sie ze sowem z pola input: ' + this.oKeyword.value);
        keyword = this.oKeyword.value;
        this.userKeyword = keyword;
        // czyci poprzednio ustawione czasy
        if(this.timeoutId != -1)
          clearTimeout(this.timeoutId);
        // ponawia prb po 0.5 sekundy
        this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
      }
      
    }
    // jeli go nie ma w pamici, wysya nowe danie HTTP
    else
    {
      if(this.xmlHttpGetSuggestions)
      {
        try
        {
          /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
          if (this.xmlHttpGetSuggestions.readyState == 4 || this.xmlHttpGetSuggestions.readyState == 0){
            this.httpRequestKeyword = keyword;
            
            //this.debugDevice.pisz('cz sie z serwerem. Z nastpujcym adresem: ' + this.getUrl + encode(keyword) );
                
            this.xmlHttpGetSuggestions.open("GET", this.getUrl + encode(keyword), true);
            this.xmlHttpGetSuggestions.onreadystatechange = function(){
                suggest_ref.handleGettingSuggestions();
            };
            this.xmlHttpGetSuggestions.send(null);
          }
          // jeli jest zajty...
          else
          {
            //this.debugDevice.pisz('Serwer jest zajty dla sowa: ' + keyword);
            // czyci poprzednio ustawione czasy
            if(this.timeoutId != -1)
              clearTimeout(this.timeoutId);
            // ponawia prb po 0.5 sekundy
            this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
          }
        }
        catch(e)
        {
          displayError("Nie mog poczy si z serwerem:\n" + e.toString());
        }
      }
    }
  }
}



/*  obsuguje odpowied serwera, zawierajc podpowiedzi dla danego sowa kluczowego */
Suggest.prototype.handleGettingSuggestions = function ()
{
  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (this.xmlHttpGetSuggestions.readyState == 4)
  {
    // tylko jeli status dania HTTP jest "OK"
    if (this.xmlHttpGetSuggestions.status == 200)
    {
      try
      {
        // przetwarza odpowied serwera
        this.updateSuggestions();
      }
      catch(e)
      {
        // wywietla komunikat o bdzie
        displayError(e.toString());
      }
    }
    else
    {
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.statusText);
    }
  }
}

/* funkcja przetwarzajca odpowied serwera */
Suggest.prototype.updateSuggestions = function()
{
  // pobiera odpowied serwera
  var response = this.xmlHttpGetSuggestions.responseText;
  // bd serwera?
  if (response.indexOf("ERRNO") >= 0 || response.indexOf("error:") >= 0
    || response.length == 0)
    throw(response.length == 0 ? "Void server response." : response);
  // pobiera element dokumentu
  response = this.xmlHttpGetSuggestions.responseXML.documentElement;
  // zakada now tablic z nazwami funkcji
  var nameArray = new Array();
  // sprawdza, czy s wyniki dla szukanego sowa kluczowego
  if(response.childNodes.length)
  {
    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    nameArray = xmlToArray(response.getElementsByTagName("name"));
  }
  // sprawdza, czy s ju poszukiwane inne sowa kluczowe
  if(this.httpRequestKeyword == this.oKeyword.value)
  {
    //this.debugDevice.pisz('Zostala zwrcona odpowiedz z serwera dla sowa: '+this.httpRequestKeyword + ' i jest ona zgodna ze sowem w polu: ' + this.userKeyword);
    // wywietla tablic wynikw
    this.displayResults(nameArray);
  }
  else
  {
    //this.debugDevice.pisz('Zostala zwrcona odpowiedz z serwera dla sowa: '+this.httpRequestKeyword + ' i jest ona rna od sowa w polu: ' + this.userKeyword + ' dodaje wiec calosc do cachu! ');
    // dodaje wyniki do pamici
    // nie trzeba wywietla wynikw, poniewa s ju niepotrzebne
    this.oCache.add(this.httpRequestKeyword, nameArray);
    //znw pobierz suggesttions
    if(this.timeoutId != -1)
      clearTimeout(this.timeoutId);
    //aktualizuje user
    this.userKeyword = this.oKeyword.value;
    //dwie zmienne do wywoania funkcji za pewien czas
    var keyword = this.oKeyword.value;
    var suggest_ref = this;
    // ponawia prb po 0.5 sekundy
    this.timeoutId = setTimeout(function(){suggest_ref.getSuggestions(keyword)}, 500);
  }
}

/* zapenia list podpowiedziami*/
Suggest.prototype.displayResults = function (results_array){
  var keyword = this.httpRequestKeyword;
  // rozpoczyna tworzenie tabeli HTML, w ktrej umiecimy wyniki
  var div = "<table border=0>";
  // jeli poszukiwane sowo kluczowe nie znajduje si w pamici, dodaje je do niej
  if(!this.oCache.check(keyword) && keyword){
    this.oCache.add(keyword, results_array);
  }
    
  //jeli tablica wynikw jest pusta, wywietla komunikat
  if(results_array.length == 0)
  {
    div += "<tr><td>Nie znaleziono dopasowania dla sowa: <strong>" + keyword + "</strong></td></tr>";
    // ustawia flag braku wynikw i zeruje licznik
    this.hasResults = false;
    this.suggestions = 0;
  }
  // wywietla wyniki
  else
  {
    // przestawia indeks wyrnionej podpowiedzi
    this.position = -1;
    // przestawia flag okrelajc, czy wcinito ktr ze strzaek
    this.isKeyUpDownPressed = false;
    /* ustawia flag informujc o dopasowania funkcji do podanego sowa kluczowego */
    this.hasResults = true;
    // pobiera z pamici liczb wynikw
    this.suggestions = results_array.length;
    // przeglda w ptli wyniki i tworzy ich list w HTML
    for (var i=0; i < results_array.length; i++)
    {
      // pobiera biec nazw funkcji
      crtFunction = results_array[i];
      
      // zaczyna tworzy rzd tabeli HTML, ktry zawiera odnonik do oficjalnej strony z pomoc dotyczc szukanej funkcji
      div += "<tr id='tr" + i + "' onclick='" + this.var_name + ".handleOnMouseClick(this);' onmouseover='" + this.var_name + ".handleOnMouseOver(this, event);' " +
        "onmouseout='" + this.var_name + ".handleOnMouseOut(this);'>" + "<td align='left'><a id='a" + i +"' style='cursor:default;' >";

      // sprawdza czy dugo nazwy wybranej funkcji przekracza dopuszczaln liczb znakw, ktre mog by wywietlone
      if(crtFunction.length <= this.suggestionMaxLength)
      {
        // pogrubia dopasowany przedrostek funkcji i sowa kluczowego
        div += "<b>" + crtFunction.substring(0, this.httpRequestKeyword.length) + "</b>"
        div += crtFunction.substring(this.httpRequestKeyword.length, crtFunction.length) +
          "</a> " + i + "</td></tr>";
      }else{
        // sprawdza czy dugo nazwy wybranego sowa kluczowego przekracza
        //dopuszczaln liczb znakw, ktre mog by wywietlone
        if(this.httpRequestKeyword.length < this.suggestionMaxLength)
        {
          /* pogrubia dopasowany przedrostek funkcji i sowa kluczowego */
          div += "<b>" + crtFunction.substring(0, this.httpRequestKeyword.length) + "</b>"
          div += crtFunction.substring(this.httpRequestKeyword.length, this.suggestionMaxLength) +
            "</a></td></tr>";
        }
        else
        {
          // pogrubia ca nazw funkcji
          div += "<b>" + crtFunction.substring(0,this.suggestionMaxLength) + "</b></td></tr>"
        }
      }
    }
  }
  // koniec tabeli HTML
  div += "</table>";

  //opcje wyswietlania
  this.position = 0;
  this.minVisiblePosition = 0;
  this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1);
  
  // przewija na gr listy
  this.oScroll.scrollTop = 0;
  // aktualizuje i wywietla list podpowiedzi
  this.oSuggest.innerHTML = div;

  this.trScrollHeight = Math.floor(this.oSuggest.scrollHeight / this.suggestions);
  this.oScroll.style.height = this.trScrollHeight * (this.positions);
  this.oScroll.style.zIndex = 101;
  this.oScroll.style.visibility = "visible";

  this.oContent.style.zIndex = 100;
  this.oContent.style.width  = document.body.scrollWidth;
  this.oContent.style.height = document.body.scrollHeight;
  this.oContent.style.visibility = "visible";
  //komentarz
  //this.debugDevice.pisz('Zostalo wyswietlonych ' + this.suggestions + 'slow dla: '+this.httpRequestKeyword );
  //this.debugDevice.pisz('Informacje o oScroll:  scrollHeight: ' + this.oScroll.scrollHeight + ' clientHeight: ' + this.oScroll.clientHeight + ' style.height: ' + this.oScroll.style.Height );
  //this.debugDevice.pisz('Informacje o oSuggest:  scrollHeight: ' + this.oSuggest.scrollHeight + ' clientHeight: ' + this.oSuggest.clientHeight );
  
  // jeli byy jakie wyniki uzupeniamy sowo kluczowe do wartoci pierwszej funkcji
  if(results_array.length > 0)
    this.autocompleteKeyword();
}



/* funkcja uzupeniajca sowo kluczowe do waroci wybranej podpowiedzi */
Suggest.prototype.updateKeywordValue = function (oTr){
  //pobieram sam tekst ze znacznika tr
  var slowo = oTr.innerHTML.replace(/<[^>]+>/g, '');
  slowo = slowo.substring(0, slowo.lastIndexOf(' '));
  //aktualizuje sowo
  this.userKeyword = slowo;
  //aktualizuje sowo
  this.oKeyword.value = slowo;
}

/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselectAll_old = function(){
  for(var i=0; i < this.suggestions; i++){
    var oCrtTr = document.getElementById("tr" + i);
    oCrtTr.className = "";
  }
}

/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselectAll = function(){
  var tr_tab = this.oSuggest.getElementsByTagName('tr');
  for(var i=0; i < tr_tab.length; i++){
    tr_tab.item(i).className = "";
  }
}

/* funkcja usuwajca styl podpowiedzi */
Suggest.prototype.deselect = function(){
  var oTR = this.oSuggest.getElementsByTagName('tr').item(this.position);
  //this.deselectAll();
  if(oTR && oTR.className)
      oTR.className = "";
  //this.debugDevice.print_r(oTR, 'tr_tab.item('+this.position+')');
}


/* funkcja obsugujca pojawienie si kursora myszy w obszarze podpowiedzi */
Suggest.prototype.handleOnMouseClick = function (oTr)
{
    this.updateKeywordValue(oTr);
    this.hideSuggestions();
    this.position = oTr.id.substring(2, oTr.id.length);
}

/* funkcja obsugujca pojawienie si kursora myszy w obszarze podpowiedzi */
Suggest.prototype.handleOnMouseOver = function (oTr, e)
{
  oTr.onmousemove = this.var_name+ ".mouseX = event.clientX; " + this.var_name+ ".mouseY = event.clientY; ";
  if( this.scrolled ){
    this.scrolled = false;
    //this.debugDevice.pisz('MouseOver: was scrolled!' );
  }else{
    this.deselect();
    oTr.className = "highlightrow";
    //aktualizuje pozycje
    this.position = oTr.id.substring(2, oTr.id.length);
    //jeszcze min i max
    this.minVisiblePosition = Math.floor(this.oScroll.scrollTop / this.trScrollHeight);
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1);

    //this.debugDevice.pisz('MouseOver: not scrolled' );
    //this.debugDevice.pisz('MouseOver: ' +  this.minVisiblePosition + ' < ' + this.position + ' < ' + this.maxVisiblePosition);
    //this.debugDevice.pisz('e.clientX: ' +  e.clientX+ ' e.clientY: ' + e.clientY + ' MouseX = ' + oldx + ' MouseX = '+oldy);
    //this.debugDevice.print_r(e, 'event');
  }
/*
  if(this.mouseX == e.clientX && this.mouseY == e.clientY){
    this.debugDevice.pisz('MouseOver: kursor myszy sie nie zmieni wiec nie wykonuje nic!' );
  }else{
    var oldx = this.mouseX;
    var oldy = this.mouseY;
    
    this.mouseX = e.clientX;
    this.mouseY = e.clientY;

    this.deselect();
    oTr.className = "highlightrow";
    //aktualizuje pozycje
    this.position = oTr.id.substring(2, oTr.id.length);
    //jeszcze min i max
    this.minVisiblePosition = Math.floor(this.oScroll.scrollTop / this.trScrollHeight);
    this.maxVisiblePosition = this.minVisiblePosition + (this.positions- 1);

    //this.debugDevice.pisz('MouseOver: ' +  this.minVisiblePosition + ' < ' + this.position + ' < ' + this.maxVisiblePosition);
    this.debugDevice.pisz('e.clientX: ' +  e.clientX+ ' e.clientY: ' + e.clientY + ' MouseX = ' + oldx + ' MouseX = '+oldy);
    //this.debugDevice.print_r(e, 'event');
  }
*/
}


/* funkcja obsugujca wyjcie kursora myszy z obszaru podpowiedzi */
Suggest.prototype.handleOnMouseOut = function (oTr)
{
  oTr.className = "";
  oTr.onmousemove = "";
  //this.position = -1;
}


/* funkcja uzupeniajca wpisane sowo kluczowe */
Suggest.prototype.autocompleteKeyword = function(){
  // zeruje pozycj zaznaczonej podpowiedzi
  this.position = 0;
  // usuwa zaznacznie ze wszystkich odpowiedzi
  this.deselectAll();
  // podwietla wybran podpowied
  var oTR = this.oSuggest.getElementsByTagName('tr').item(0);
  oTR.className="highlightrow";
  // uzupenia sowo kluczowe do podpowiedzi
  this.updateKeywordValue(oTR);
  // stosuje odpowiedni styl
  selectRange(this.oKeyword, this.httpRequestKeyword.length, this.oKeyword.value.length);
  // ustawia uzupenione sowo jako warto sowa kluczowego
  this.autocompletedKeyword = this.oKeyword.value;
}






















/* funkcja wywietlajca komunikat o bdzie */
function displayError(message){
  // wywietla komunikat bdu - bardziej szczegowy jeli debugMode ma warto true
  alert("Bd podczas dostpu do serwera! " + "\n" + message );
}

//tworzy instancj obiektu XMLHttpRequest
function createXmlHttpRequestObject()
{
  // przechowa odowanie do obiektu XMLHttpRequest
  var xmlHttp;
  // powinno zadziaa dla wszystkich przegldarem z wyjtkiem IE6 i starszych
  try
  {
    // prbuje utworzy obiekt XMLHttpRequest
    xmlHttp = new XMLHttpRequest();
  }
  catch(e)
  {
    // zakadajc, e IE6 lub starsza
    var XmlHttpVersions = new Array("MSXML2.XMLHTTP.6.0",
      "MSXML2.XMLHTTP.5.0",
      "MSXML2.XMLHTTP.4.0",
      "MSXML2.XMLHTTP.3.0",
      "MSXML2.XMLHTTP",
      "Microsoft.XMLHTTP");
    // prbuje wszystkie wartoci progId, a jedna zadziaa
    for (var i=0; i<XmlHttpVersions.length && !xmlHttp; i++)
    {
      try
      {
        // prbuje stworzy obiekt XMLHttpRequest
        xmlHttp = new ActiveXObject(XmlHttpVersions[i]);
      }
      catch (e) {}
    }
  }
  // zwraca utworzony obiekt lub wywietla komunikat o bdzie
  if (!xmlHttp)
    alert("Bd podczas tworzenia obiektu XMLHttpRequest.");
  else
    return xmlHttp;
}

/* funkcja, ktra wybiera obszar w obiekcie tekstowym, przekazywanym jako jej parametr */
function selectRange(oText, start, length)
{
  // sprawdz rodzaj przegldarki - IE czy FF
  if (oText.createTextRange)
  {
    //IE
    var oRange = oText.createTextRange();
    oRange.moveStart("character", start);
    oRange.moveEnd("character", length - oText.value.length);
    oRange.select();
  }
  else
    // FF
    if (oText.setSelectionRange)
    {
      oText.setSelectionRange(start, length);
    }
  oText.focus();
}



/* funkcja koduja url*/
function encode(uri)
{
  if (encodeURIComponent)
  {
    return encodeURIComponent(uri);
  }

  if (escape)
  {
    return escape(uri);
  }
}

/* przeksztaca wszystkie obiekty potomne wza XML na tablic*/
function xmlToArray(resultsXml)
{
  // pocztkuje zmienn resultsArray
  var resultsArray= new Array();
  // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
  for(i=0; i < resultsXml.length; i++)
    resultsArray[i] = resultsXml.item(i).firstChild.data;
  // zwraca zawarto wza w postaci tablicy
  return resultsArray;
}
